package com.sztzjy.money_management.entity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

public class CaseHeritageExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public CaseHeritageExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andCaseHeritageIdIsNull() {
            addCriterion("case_heritage_id is null");
            return (Criteria) this;
        }

        public Criteria andCaseHeritageIdIsNotNull() {
            addCriterion("case_heritage_id is not null");
            return (Criteria) this;
        }

        public Criteria andCaseHeritageIdEqualTo(String value) {
            addCriterion("case_heritage_id =", value, "caseHeritageId");
            return (Criteria) this;
        }

        public Criteria andCaseHeritageIdNotEqualTo(String value) {
            addCriterion("case_heritage_id <>", value, "caseHeritageId");
            return (Criteria) this;
        }

        public Criteria andCaseHeritageIdGreaterThan(String value) {
            addCriterion("case_heritage_id >", value, "caseHeritageId");
            return (Criteria) this;
        }

        public Criteria andCaseHeritageIdGreaterThanOrEqualTo(String value) {
            addCriterion("case_heritage_id >=", value, "caseHeritageId");
            return (Criteria) this;
        }

        public Criteria andCaseHeritageIdLessThan(String value) {
            addCriterion("case_heritage_id <", value, "caseHeritageId");
            return (Criteria) this;
        }

        public Criteria andCaseHeritageIdLessThanOrEqualTo(String value) {
            addCriterion("case_heritage_id <=", value, "caseHeritageId");
            return (Criteria) this;
        }

        public Criteria andCaseHeritageIdLike(String value) {
            addCriterion("case_heritage_id like", value, "caseHeritageId");
            return (Criteria) this;
        }

        public Criteria andCaseHeritageIdNotLike(String value) {
            addCriterion("case_heritage_id not like", value, "caseHeritageId");
            return (Criteria) this;
        }

        public Criteria andCaseHeritageIdIn(List<String> values) {
            addCriterion("case_heritage_id in", values, "caseHeritageId");
            return (Criteria) this;
        }

        public Criteria andCaseHeritageIdNotIn(List<String> values) {
            addCriterion("case_heritage_id not in", values, "caseHeritageId");
            return (Criteria) this;
        }

        public Criteria andCaseHeritageIdBetween(String value1, String value2) {
            addCriterion("case_heritage_id between", value1, value2, "caseHeritageId");
            return (Criteria) this;
        }

        public Criteria andCaseHeritageIdNotBetween(String value1, String value2) {
            addCriterion("case_heritage_id not between", value1, value2, "caseHeritageId");
            return (Criteria) this;
        }

        public Criteria andCaseidIsNull() {
            addCriterion("caseid is null");
            return (Criteria) this;
        }

        public Criteria andCaseidIsNotNull() {
            addCriterion("caseid is not null");
            return (Criteria) this;
        }

        public Criteria andCaseidEqualTo(String value) {
            addCriterion("caseid =", value, "caseid");
            return (Criteria) this;
        }

        public Criteria andCaseidNotEqualTo(String value) {
            addCriterion("caseid <>", value, "caseid");
            return (Criteria) this;
        }

        public Criteria andCaseidGreaterThan(String value) {
            addCriterion("caseid >", value, "caseid");
            return (Criteria) this;
        }

        public Criteria andCaseidGreaterThanOrEqualTo(String value) {
            addCriterion("caseid >=", value, "caseid");
            return (Criteria) this;
        }

        public Criteria andCaseidLessThan(String value) {
            addCriterion("caseid <", value, "caseid");
            return (Criteria) this;
        }

        public Criteria andCaseidLessThanOrEqualTo(String value) {
            addCriterion("caseid <=", value, "caseid");
            return (Criteria) this;
        }

        public Criteria andCaseidLike(String value) {
            addCriterion("caseid like", value, "caseid");
            return (Criteria) this;
        }

        public Criteria andCaseidNotLike(String value) {
            addCriterion("caseid not like", value, "caseid");
            return (Criteria) this;
        }

        public Criteria andCaseidIn(List<String> values) {
            addCriterion("caseid in", values, "caseid");
            return (Criteria) this;
        }

        public Criteria andCaseidNotIn(List<String> values) {
            addCriterion("caseid not in", values, "caseid");
            return (Criteria) this;
        }

        public Criteria andCaseidBetween(String value1, String value2) {
            addCriterion("caseid between", value1, value2, "caseid");
            return (Criteria) this;
        }

        public Criteria andCaseidNotBetween(String value1, String value2) {
            addCriterion("caseid not between", value1, value2, "caseid");
            return (Criteria) this;
        }

        public Criteria andCashIsNull() {
            addCriterion("cash is null");
            return (Criteria) this;
        }

        public Criteria andCashIsNotNull() {
            addCriterion("cash is not null");
            return (Criteria) this;
        }

        public Criteria andCashEqualTo(BigDecimal value) {
            addCriterion("cash =", value, "cash");
            return (Criteria) this;
        }

        public Criteria andCashNotEqualTo(BigDecimal value) {
            addCriterion("cash <>", value, "cash");
            return (Criteria) this;
        }

        public Criteria andCashGreaterThan(BigDecimal value) {
            addCriterion("cash >", value, "cash");
            return (Criteria) this;
        }

        public Criteria andCashGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("cash >=", value, "cash");
            return (Criteria) this;
        }

        public Criteria andCashLessThan(BigDecimal value) {
            addCriterion("cash <", value, "cash");
            return (Criteria) this;
        }

        public Criteria andCashLessThanOrEqualTo(BigDecimal value) {
            addCriterion("cash <=", value, "cash");
            return (Criteria) this;
        }

        public Criteria andCashIn(List<BigDecimal> values) {
            addCriterion("cash in", values, "cash");
            return (Criteria) this;
        }

        public Criteria andCashNotIn(List<BigDecimal> values) {
            addCriterion("cash not in", values, "cash");
            return (Criteria) this;
        }

        public Criteria andCashBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("cash between", value1, value2, "cash");
            return (Criteria) this;
        }

        public Criteria andCashNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("cash not between", value1, value2, "cash");
            return (Criteria) this;
        }

        public Criteria andDepositIsNull() {
            addCriterion("deposit is null");
            return (Criteria) this;
        }

        public Criteria andDepositIsNotNull() {
            addCriterion("deposit is not null");
            return (Criteria) this;
        }

        public Criteria andDepositEqualTo(BigDecimal value) {
            addCriterion("deposit =", value, "deposit");
            return (Criteria) this;
        }

        public Criteria andDepositNotEqualTo(BigDecimal value) {
            addCriterion("deposit <>", value, "deposit");
            return (Criteria) this;
        }

        public Criteria andDepositGreaterThan(BigDecimal value) {
            addCriterion("deposit >", value, "deposit");
            return (Criteria) this;
        }

        public Criteria andDepositGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("deposit >=", value, "deposit");
            return (Criteria) this;
        }

        public Criteria andDepositLessThan(BigDecimal value) {
            addCriterion("deposit <", value, "deposit");
            return (Criteria) this;
        }

        public Criteria andDepositLessThanOrEqualTo(BigDecimal value) {
            addCriterion("deposit <=", value, "deposit");
            return (Criteria) this;
        }

        public Criteria andDepositIn(List<BigDecimal> values) {
            addCriterion("deposit in", values, "deposit");
            return (Criteria) this;
        }

        public Criteria andDepositNotIn(List<BigDecimal> values) {
            addCriterion("deposit not in", values, "deposit");
            return (Criteria) this;
        }

        public Criteria andDepositBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("deposit between", value1, value2, "deposit");
            return (Criteria) this;
        }

        public Criteria andDepositNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("deposit not between", value1, value2, "deposit");
            return (Criteria) this;
        }

        public Criteria andLifeInsuranceIsNull() {
            addCriterion("life_insurance is null");
            return (Criteria) this;
        }

        public Criteria andLifeInsuranceIsNotNull() {
            addCriterion("life_insurance is not null");
            return (Criteria) this;
        }

        public Criteria andLifeInsuranceEqualTo(BigDecimal value) {
            addCriterion("life_insurance =", value, "lifeInsurance");
            return (Criteria) this;
        }

        public Criteria andLifeInsuranceNotEqualTo(BigDecimal value) {
            addCriterion("life_insurance <>", value, "lifeInsurance");
            return (Criteria) this;
        }

        public Criteria andLifeInsuranceGreaterThan(BigDecimal value) {
            addCriterion("life_insurance >", value, "lifeInsurance");
            return (Criteria) this;
        }

        public Criteria andLifeInsuranceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("life_insurance >=", value, "lifeInsurance");
            return (Criteria) this;
        }

        public Criteria andLifeInsuranceLessThan(BigDecimal value) {
            addCriterion("life_insurance <", value, "lifeInsurance");
            return (Criteria) this;
        }

        public Criteria andLifeInsuranceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("life_insurance <=", value, "lifeInsurance");
            return (Criteria) this;
        }

        public Criteria andLifeInsuranceIn(List<BigDecimal> values) {
            addCriterion("life_insurance in", values, "lifeInsurance");
            return (Criteria) this;
        }

        public Criteria andLifeInsuranceNotIn(List<BigDecimal> values) {
            addCriterion("life_insurance not in", values, "lifeInsurance");
            return (Criteria) this;
        }

        public Criteria andLifeInsuranceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("life_insurance between", value1, value2, "lifeInsurance");
            return (Criteria) this;
        }

        public Criteria andLifeInsuranceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("life_insurance not between", value1, value2, "lifeInsurance");
            return (Criteria) this;
        }

        public Criteria andOtherCashAccountIsNull() {
            addCriterion("other_cash_account is null");
            return (Criteria) this;
        }

        public Criteria andOtherCashAccountIsNotNull() {
            addCriterion("other_cash_account is not null");
            return (Criteria) this;
        }

        public Criteria andOtherCashAccountEqualTo(BigDecimal value) {
            addCriterion("other_cash_account =", value, "otherCashAccount");
            return (Criteria) this;
        }

        public Criteria andOtherCashAccountNotEqualTo(BigDecimal value) {
            addCriterion("other_cash_account <>", value, "otherCashAccount");
            return (Criteria) this;
        }

        public Criteria andOtherCashAccountGreaterThan(BigDecimal value) {
            addCriterion("other_cash_account >", value, "otherCashAccount");
            return (Criteria) this;
        }

        public Criteria andOtherCashAccountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("other_cash_account >=", value, "otherCashAccount");
            return (Criteria) this;
        }

        public Criteria andOtherCashAccountLessThan(BigDecimal value) {
            addCriterion("other_cash_account <", value, "otherCashAccount");
            return (Criteria) this;
        }

        public Criteria andOtherCashAccountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("other_cash_account <=", value, "otherCashAccount");
            return (Criteria) this;
        }

        public Criteria andOtherCashAccountIn(List<BigDecimal> values) {
            addCriterion("other_cash_account in", values, "otherCashAccount");
            return (Criteria) this;
        }

        public Criteria andOtherCashAccountNotIn(List<BigDecimal> values) {
            addCriterion("other_cash_account not in", values, "otherCashAccount");
            return (Criteria) this;
        }

        public Criteria andOtherCashAccountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("other_cash_account between", value1, value2, "otherCashAccount");
            return (Criteria) this;
        }

        public Criteria andOtherCashAccountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("other_cash_account not between", value1, value2, "otherCashAccount");
            return (Criteria) this;
        }

        public Criteria andStockIsNull() {
            addCriterion("stock is null");
            return (Criteria) this;
        }

        public Criteria andStockIsNotNull() {
            addCriterion("stock is not null");
            return (Criteria) this;
        }

        public Criteria andStockEqualTo(BigDecimal value) {
            addCriterion("stock =", value, "stock");
            return (Criteria) this;
        }

        public Criteria andStockNotEqualTo(BigDecimal value) {
            addCriterion("stock <>", value, "stock");
            return (Criteria) this;
        }

        public Criteria andStockGreaterThan(BigDecimal value) {
            addCriterion("stock >", value, "stock");
            return (Criteria) this;
        }

        public Criteria andStockGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("stock >=", value, "stock");
            return (Criteria) this;
        }

        public Criteria andStockLessThan(BigDecimal value) {
            addCriterion("stock <", value, "stock");
            return (Criteria) this;
        }

        public Criteria andStockLessThanOrEqualTo(BigDecimal value) {
            addCriterion("stock <=", value, "stock");
            return (Criteria) this;
        }

        public Criteria andStockIn(List<BigDecimal> values) {
            addCriterion("stock in", values, "stock");
            return (Criteria) this;
        }

        public Criteria andStockNotIn(List<BigDecimal> values) {
            addCriterion("stock not in", values, "stock");
            return (Criteria) this;
        }

        public Criteria andStockBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("stock between", value1, value2, "stock");
            return (Criteria) this;
        }

        public Criteria andStockNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("stock not between", value1, value2, "stock");
            return (Criteria) this;
        }

        public Criteria andBondIsNull() {
            addCriterion("bond is null");
            return (Criteria) this;
        }

        public Criteria andBondIsNotNull() {
            addCriterion("bond is not null");
            return (Criteria) this;
        }

        public Criteria andBondEqualTo(BigDecimal value) {
            addCriterion("bond =", value, "bond");
            return (Criteria) this;
        }

        public Criteria andBondNotEqualTo(BigDecimal value) {
            addCriterion("bond <>", value, "bond");
            return (Criteria) this;
        }

        public Criteria andBondGreaterThan(BigDecimal value) {
            addCriterion("bond >", value, "bond");
            return (Criteria) this;
        }

        public Criteria andBondGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("bond >=", value, "bond");
            return (Criteria) this;
        }

        public Criteria andBondLessThan(BigDecimal value) {
            addCriterion("bond <", value, "bond");
            return (Criteria) this;
        }

        public Criteria andBondLessThanOrEqualTo(BigDecimal value) {
            addCriterion("bond <=", value, "bond");
            return (Criteria) this;
        }

        public Criteria andBondIn(List<BigDecimal> values) {
            addCriterion("bond in", values, "bond");
            return (Criteria) this;
        }

        public Criteria andBondNotIn(List<BigDecimal> values) {
            addCriterion("bond not in", values, "bond");
            return (Criteria) this;
        }

        public Criteria andBondBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("bond between", value1, value2, "bond");
            return (Criteria) this;
        }

        public Criteria andBondNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("bond not between", value1, value2, "bond");
            return (Criteria) this;
        }

        public Criteria andFundIsNull() {
            addCriterion("fund is null");
            return (Criteria) this;
        }

        public Criteria andFundIsNotNull() {
            addCriterion("fund is not null");
            return (Criteria) this;
        }

        public Criteria andFundEqualTo(BigDecimal value) {
            addCriterion("fund =", value, "fund");
            return (Criteria) this;
        }

        public Criteria andFundNotEqualTo(BigDecimal value) {
            addCriterion("fund <>", value, "fund");
            return (Criteria) this;
        }

        public Criteria andFundGreaterThan(BigDecimal value) {
            addCriterion("fund >", value, "fund");
            return (Criteria) this;
        }

        public Criteria andFundGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("fund >=", value, "fund");
            return (Criteria) this;
        }

        public Criteria andFundLessThan(BigDecimal value) {
            addCriterion("fund <", value, "fund");
            return (Criteria) this;
        }

        public Criteria andFundLessThanOrEqualTo(BigDecimal value) {
            addCriterion("fund <=", value, "fund");
            return (Criteria) this;
        }

        public Criteria andFundIn(List<BigDecimal> values) {
            addCriterion("fund in", values, "fund");
            return (Criteria) this;
        }

        public Criteria andFundNotIn(List<BigDecimal> values) {
            addCriterion("fund not in", values, "fund");
            return (Criteria) this;
        }

        public Criteria andFundBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("fund between", value1, value2, "fund");
            return (Criteria) this;
        }

        public Criteria andFundNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("fund not between", value1, value2, "fund");
            return (Criteria) this;
        }

        public Criteria andOtherInvestmentIsNull() {
            addCriterion("other_investment is null");
            return (Criteria) this;
        }

        public Criteria andOtherInvestmentIsNotNull() {
            addCriterion("other_investment is not null");
            return (Criteria) this;
        }

        public Criteria andOtherInvestmentEqualTo(BigDecimal value) {
            addCriterion("other_investment =", value, "otherInvestment");
            return (Criteria) this;
        }

        public Criteria andOtherInvestmentNotEqualTo(BigDecimal value) {
            addCriterion("other_investment <>", value, "otherInvestment");
            return (Criteria) this;
        }

        public Criteria andOtherInvestmentGreaterThan(BigDecimal value) {
            addCriterion("other_investment >", value, "otherInvestment");
            return (Criteria) this;
        }

        public Criteria andOtherInvestmentGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("other_investment >=", value, "otherInvestment");
            return (Criteria) this;
        }

        public Criteria andOtherInvestmentLessThan(BigDecimal value) {
            addCriterion("other_investment <", value, "otherInvestment");
            return (Criteria) this;
        }

        public Criteria andOtherInvestmentLessThanOrEqualTo(BigDecimal value) {
            addCriterion("other_investment <=", value, "otherInvestment");
            return (Criteria) this;
        }

        public Criteria andOtherInvestmentIn(List<BigDecimal> values) {
            addCriterion("other_investment in", values, "otherInvestment");
            return (Criteria) this;
        }

        public Criteria andOtherInvestmentNotIn(List<BigDecimal> values) {
            addCriterion("other_investment not in", values, "otherInvestment");
            return (Criteria) this;
        }

        public Criteria andOtherInvestmentBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("other_investment between", value1, value2, "otherInvestment");
            return (Criteria) this;
        }

        public Criteria andOtherInvestmentNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("other_investment not between", value1, value2, "otherInvestment");
            return (Criteria) this;
        }

        public Criteria andPensionIsNull() {
            addCriterion("pension is null");
            return (Criteria) this;
        }

        public Criteria andPensionIsNotNull() {
            addCriterion("pension is not null");
            return (Criteria) this;
        }

        public Criteria andPensionEqualTo(BigDecimal value) {
            addCriterion("pension =", value, "pension");
            return (Criteria) this;
        }

        public Criteria andPensionNotEqualTo(BigDecimal value) {
            addCriterion("pension <>", value, "pension");
            return (Criteria) this;
        }

        public Criteria andPensionGreaterThan(BigDecimal value) {
            addCriterion("pension >", value, "pension");
            return (Criteria) this;
        }

        public Criteria andPensionGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("pension >=", value, "pension");
            return (Criteria) this;
        }

        public Criteria andPensionLessThan(BigDecimal value) {
            addCriterion("pension <", value, "pension");
            return (Criteria) this;
        }

        public Criteria andPensionLessThanOrEqualTo(BigDecimal value) {
            addCriterion("pension <=", value, "pension");
            return (Criteria) this;
        }

        public Criteria andPensionIn(List<BigDecimal> values) {
            addCriterion("pension in", values, "pension");
            return (Criteria) this;
        }

        public Criteria andPensionNotIn(List<BigDecimal> values) {
            addCriterion("pension not in", values, "pension");
            return (Criteria) this;
        }

        public Criteria andPensionBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("pension between", value1, value2, "pension");
            return (Criteria) this;
        }

        public Criteria andPensionNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("pension not between", value1, value2, "pension");
            return (Criteria) this;
        }

        public Criteria andAnnuityRevenueIsNull() {
            addCriterion("annuity_revenue is null");
            return (Criteria) this;
        }

        public Criteria andAnnuityRevenueIsNotNull() {
            addCriterion("annuity_revenue is not null");
            return (Criteria) this;
        }

        public Criteria andAnnuityRevenueEqualTo(BigDecimal value) {
            addCriterion("annuity_revenue =", value, "annuityRevenue");
            return (Criteria) this;
        }

        public Criteria andAnnuityRevenueNotEqualTo(BigDecimal value) {
            addCriterion("annuity_revenue <>", value, "annuityRevenue");
            return (Criteria) this;
        }

        public Criteria andAnnuityRevenueGreaterThan(BigDecimal value) {
            addCriterion("annuity_revenue >", value, "annuityRevenue");
            return (Criteria) this;
        }

        public Criteria andAnnuityRevenueGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("annuity_revenue >=", value, "annuityRevenue");
            return (Criteria) this;
        }

        public Criteria andAnnuityRevenueLessThan(BigDecimal value) {
            addCriterion("annuity_revenue <", value, "annuityRevenue");
            return (Criteria) this;
        }

        public Criteria andAnnuityRevenueLessThanOrEqualTo(BigDecimal value) {
            addCriterion("annuity_revenue <=", value, "annuityRevenue");
            return (Criteria) this;
        }

        public Criteria andAnnuityRevenueIn(List<BigDecimal> values) {
            addCriterion("annuity_revenue in", values, "annuityRevenue");
            return (Criteria) this;
        }

        public Criteria andAnnuityRevenueNotIn(List<BigDecimal> values) {
            addCriterion("annuity_revenue not in", values, "annuityRevenue");
            return (Criteria) this;
        }

        public Criteria andAnnuityRevenueBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("annuity_revenue between", value1, value2, "annuityRevenue");
            return (Criteria) this;
        }

        public Criteria andAnnuityRevenueNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("annuity_revenue not between", value1, value2, "annuityRevenue");
            return (Criteria) this;
        }

        public Criteria andOtherPensionIsNull() {
            addCriterion("other_pension is null");
            return (Criteria) this;
        }

        public Criteria andOtherPensionIsNotNull() {
            addCriterion("other_pension is not null");
            return (Criteria) this;
        }

        public Criteria andOtherPensionEqualTo(BigDecimal value) {
            addCriterion("other_pension =", value, "otherPension");
            return (Criteria) this;
        }

        public Criteria andOtherPensionNotEqualTo(BigDecimal value) {
            addCriterion("other_pension <>", value, "otherPension");
            return (Criteria) this;
        }

        public Criteria andOtherPensionGreaterThan(BigDecimal value) {
            addCriterion("other_pension >", value, "otherPension");
            return (Criteria) this;
        }

        public Criteria andOtherPensionGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("other_pension >=", value, "otherPension");
            return (Criteria) this;
        }

        public Criteria andOtherPensionLessThan(BigDecimal value) {
            addCriterion("other_pension <", value, "otherPension");
            return (Criteria) this;
        }

        public Criteria andOtherPensionLessThanOrEqualTo(BigDecimal value) {
            addCriterion("other_pension <=", value, "otherPension");
            return (Criteria) this;
        }

        public Criteria andOtherPensionIn(List<BigDecimal> values) {
            addCriterion("other_pension in", values, "otherPension");
            return (Criteria) this;
        }

        public Criteria andOtherPensionNotIn(List<BigDecimal> values) {
            addCriterion("other_pension not in", values, "otherPension");
            return (Criteria) this;
        }

        public Criteria andOtherPensionBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("other_pension between", value1, value2, "otherPension");
            return (Criteria) this;
        }

        public Criteria andOtherPensionNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("other_pension not between", value1, value2, "otherPension");
            return (Criteria) this;
        }

        public Criteria andHouseIsNull() {
            addCriterion("house is null");
            return (Criteria) this;
        }

        public Criteria andHouseIsNotNull() {
            addCriterion("house is not null");
            return (Criteria) this;
        }

        public Criteria andHouseEqualTo(BigDecimal value) {
            addCriterion("house =", value, "house");
            return (Criteria) this;
        }

        public Criteria andHouseNotEqualTo(BigDecimal value) {
            addCriterion("house <>", value, "house");
            return (Criteria) this;
        }

        public Criteria andHouseGreaterThan(BigDecimal value) {
            addCriterion("house >", value, "house");
            return (Criteria) this;
        }

        public Criteria andHouseGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("house >=", value, "house");
            return (Criteria) this;
        }

        public Criteria andHouseLessThan(BigDecimal value) {
            addCriterion("house <", value, "house");
            return (Criteria) this;
        }

        public Criteria andHouseLessThanOrEqualTo(BigDecimal value) {
            addCriterion("house <=", value, "house");
            return (Criteria) this;
        }

        public Criteria andHouseIn(List<BigDecimal> values) {
            addCriterion("house in", values, "house");
            return (Criteria) this;
        }

        public Criteria andHouseNotIn(List<BigDecimal> values) {
            addCriterion("house not in", values, "house");
            return (Criteria) this;
        }

        public Criteria andHouseBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("house between", value1, value2, "house");
            return (Criteria) this;
        }

        public Criteria andHouseNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("house not between", value1, value2, "house");
            return (Criteria) this;
        }

        public Criteria andCarIsNull() {
            addCriterion("car is null");
            return (Criteria) this;
        }

        public Criteria andCarIsNotNull() {
            addCriterion("car is not null");
            return (Criteria) this;
        }

        public Criteria andCarEqualTo(BigDecimal value) {
            addCriterion("car =", value, "car");
            return (Criteria) this;
        }

        public Criteria andCarNotEqualTo(BigDecimal value) {
            addCriterion("car <>", value, "car");
            return (Criteria) this;
        }

        public Criteria andCarGreaterThan(BigDecimal value) {
            addCriterion("car >", value, "car");
            return (Criteria) this;
        }

        public Criteria andCarGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("car >=", value, "car");
            return (Criteria) this;
        }

        public Criteria andCarLessThan(BigDecimal value) {
            addCriterion("car <", value, "car");
            return (Criteria) this;
        }

        public Criteria andCarLessThanOrEqualTo(BigDecimal value) {
            addCriterion("car <=", value, "car");
            return (Criteria) this;
        }

        public Criteria andCarIn(List<BigDecimal> values) {
            addCriterion("car in", values, "car");
            return (Criteria) this;
        }

        public Criteria andCarNotIn(List<BigDecimal> values) {
            addCriterion("car not in", values, "car");
            return (Criteria) this;
        }

        public Criteria andCarBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("car between", value1, value2, "car");
            return (Criteria) this;
        }

        public Criteria andCarNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("car not between", value1, value2, "car");
            return (Criteria) this;
        }

        public Criteria andOtherIsNull() {
            addCriterion("other is null");
            return (Criteria) this;
        }

        public Criteria andOtherIsNotNull() {
            addCriterion("other is not null");
            return (Criteria) this;
        }

        public Criteria andOtherEqualTo(BigDecimal value) {
            addCriterion("other =", value, "other");
            return (Criteria) this;
        }

        public Criteria andOtherNotEqualTo(BigDecimal value) {
            addCriterion("other <>", value, "other");
            return (Criteria) this;
        }

        public Criteria andOtherGreaterThan(BigDecimal value) {
            addCriterion("other >", value, "other");
            return (Criteria) this;
        }

        public Criteria andOtherGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("other >=", value, "other");
            return (Criteria) this;
        }

        public Criteria andOtherLessThan(BigDecimal value) {
            addCriterion("other <", value, "other");
            return (Criteria) this;
        }

        public Criteria andOtherLessThanOrEqualTo(BigDecimal value) {
            addCriterion("other <=", value, "other");
            return (Criteria) this;
        }

        public Criteria andOtherIn(List<BigDecimal> values) {
            addCriterion("other in", values, "other");
            return (Criteria) this;
        }

        public Criteria andOtherNotIn(List<BigDecimal> values) {
            addCriterion("other not in", values, "other");
            return (Criteria) this;
        }

        public Criteria andOtherBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("other between", value1, value2, "other");
            return (Criteria) this;
        }

        public Criteria andOtherNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("other not between", value1, value2, "other");
            return (Criteria) this;
        }

        public Criteria andOtherPropertyIsNull() {
            addCriterion("other_property is null");
            return (Criteria) this;
        }

        public Criteria andOtherPropertyIsNotNull() {
            addCriterion("other_property is not null");
            return (Criteria) this;
        }

        public Criteria andOtherPropertyEqualTo(BigDecimal value) {
            addCriterion("other_property =", value, "otherProperty");
            return (Criteria) this;
        }

        public Criteria andOtherPropertyNotEqualTo(BigDecimal value) {
            addCriterion("other_property <>", value, "otherProperty");
            return (Criteria) this;
        }

        public Criteria andOtherPropertyGreaterThan(BigDecimal value) {
            addCriterion("other_property >", value, "otherProperty");
            return (Criteria) this;
        }

        public Criteria andOtherPropertyGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("other_property >=", value, "otherProperty");
            return (Criteria) this;
        }

        public Criteria andOtherPropertyLessThan(BigDecimal value) {
            addCriterion("other_property <", value, "otherProperty");
            return (Criteria) this;
        }

        public Criteria andOtherPropertyLessThanOrEqualTo(BigDecimal value) {
            addCriterion("other_property <=", value, "otherProperty");
            return (Criteria) this;
        }

        public Criteria andOtherPropertyIn(List<BigDecimal> values) {
            addCriterion("other_property in", values, "otherProperty");
            return (Criteria) this;
        }

        public Criteria andOtherPropertyNotIn(List<BigDecimal> values) {
            addCriterion("other_property not in", values, "otherProperty");
            return (Criteria) this;
        }

        public Criteria andOtherPropertyBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("other_property between", value1, value2, "otherProperty");
            return (Criteria) this;
        }

        public Criteria andOtherPropertyNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("other_property not between", value1, value2, "otherProperty");
            return (Criteria) this;
        }

        public Criteria andTotalPropertyIsNull() {
            addCriterion("total_property is null");
            return (Criteria) this;
        }

        public Criteria andTotalPropertyIsNotNull() {
            addCriterion("total_property is not null");
            return (Criteria) this;
        }

        public Criteria andTotalPropertyEqualTo(BigDecimal value) {
            addCriterion("total_property =", value, "totalProperty");
            return (Criteria) this;
        }

        public Criteria andTotalPropertyNotEqualTo(BigDecimal value) {
            addCriterion("total_property <>", value, "totalProperty");
            return (Criteria) this;
        }

        public Criteria andTotalPropertyGreaterThan(BigDecimal value) {
            addCriterion("total_property >", value, "totalProperty");
            return (Criteria) this;
        }

        public Criteria andTotalPropertyGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("total_property >=", value, "totalProperty");
            return (Criteria) this;
        }

        public Criteria andTotalPropertyLessThan(BigDecimal value) {
            addCriterion("total_property <", value, "totalProperty");
            return (Criteria) this;
        }

        public Criteria andTotalPropertyLessThanOrEqualTo(BigDecimal value) {
            addCriterion("total_property <=", value, "totalProperty");
            return (Criteria) this;
        }

        public Criteria andTotalPropertyIn(List<BigDecimal> values) {
            addCriterion("total_property in", values, "totalProperty");
            return (Criteria) this;
        }

        public Criteria andTotalPropertyNotIn(List<BigDecimal> values) {
            addCriterion("total_property not in", values, "totalProperty");
            return (Criteria) this;
        }

        public Criteria andTotalPropertyBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_property between", value1, value2, "totalProperty");
            return (Criteria) this;
        }

        public Criteria andTotalPropertyNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_property not between", value1, value2, "totalProperty");
            return (Criteria) this;
        }

        public Criteria andShortTermLoanIsNull() {
            addCriterion("short_term_loan is null");
            return (Criteria) this;
        }

        public Criteria andShortTermLoanIsNotNull() {
            addCriterion("short_term_loan is not null");
            return (Criteria) this;
        }

        public Criteria andShortTermLoanEqualTo(BigDecimal value) {
            addCriterion("short_term_loan =", value, "shortTermLoan");
            return (Criteria) this;
        }

        public Criteria andShortTermLoanNotEqualTo(BigDecimal value) {
            addCriterion("short_term_loan <>", value, "shortTermLoan");
            return (Criteria) this;
        }

        public Criteria andShortTermLoanGreaterThan(BigDecimal value) {
            addCriterion("short_term_loan >", value, "shortTermLoan");
            return (Criteria) this;
        }

        public Criteria andShortTermLoanGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("short_term_loan >=", value, "shortTermLoan");
            return (Criteria) this;
        }

        public Criteria andShortTermLoanLessThan(BigDecimal value) {
            addCriterion("short_term_loan <", value, "shortTermLoan");
            return (Criteria) this;
        }

        public Criteria andShortTermLoanLessThanOrEqualTo(BigDecimal value) {
            addCriterion("short_term_loan <=", value, "shortTermLoan");
            return (Criteria) this;
        }

        public Criteria andShortTermLoanIn(List<BigDecimal> values) {
            addCriterion("short_term_loan in", values, "shortTermLoan");
            return (Criteria) this;
        }

        public Criteria andShortTermLoanNotIn(List<BigDecimal> values) {
            addCriterion("short_term_loan not in", values, "shortTermLoan");
            return (Criteria) this;
        }

        public Criteria andShortTermLoanBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("short_term_loan between", value1, value2, "shortTermLoan");
            return (Criteria) this;
        }

        public Criteria andShortTermLoanNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("short_term_loan not between", value1, value2, "shortTermLoan");
            return (Criteria) this;
        }

        public Criteria andMediumTermLoansIsNull() {
            addCriterion("medium_term_loans is null");
            return (Criteria) this;
        }

        public Criteria andMediumTermLoansIsNotNull() {
            addCriterion("medium_term_loans is not null");
            return (Criteria) this;
        }

        public Criteria andMediumTermLoansEqualTo(BigDecimal value) {
            addCriterion("medium_term_loans =", value, "mediumTermLoans");
            return (Criteria) this;
        }

        public Criteria andMediumTermLoansNotEqualTo(BigDecimal value) {
            addCriterion("medium_term_loans <>", value, "mediumTermLoans");
            return (Criteria) this;
        }

        public Criteria andMediumTermLoansGreaterThan(BigDecimal value) {
            addCriterion("medium_term_loans >", value, "mediumTermLoans");
            return (Criteria) this;
        }

        public Criteria andMediumTermLoansGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("medium_term_loans >=", value, "mediumTermLoans");
            return (Criteria) this;
        }

        public Criteria andMediumTermLoansLessThan(BigDecimal value) {
            addCriterion("medium_term_loans <", value, "mediumTermLoans");
            return (Criteria) this;
        }

        public Criteria andMediumTermLoansLessThanOrEqualTo(BigDecimal value) {
            addCriterion("medium_term_loans <=", value, "mediumTermLoans");
            return (Criteria) this;
        }

        public Criteria andMediumTermLoansIn(List<BigDecimal> values) {
            addCriterion("medium_term_loans in", values, "mediumTermLoans");
            return (Criteria) this;
        }

        public Criteria andMediumTermLoansNotIn(List<BigDecimal> values) {
            addCriterion("medium_term_loans not in", values, "mediumTermLoans");
            return (Criteria) this;
        }

        public Criteria andMediumTermLoansBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("medium_term_loans between", value1, value2, "mediumTermLoans");
            return (Criteria) this;
        }

        public Criteria andMediumTermLoansNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("medium_term_loans not between", value1, value2, "mediumTermLoans");
            return (Criteria) this;
        }

        public Criteria andLongTermLoanIsNull() {
            addCriterion("long_term_loan is null");
            return (Criteria) this;
        }

        public Criteria andLongTermLoanIsNotNull() {
            addCriterion("long_term_loan is not null");
            return (Criteria) this;
        }

        public Criteria andLongTermLoanEqualTo(BigDecimal value) {
            addCriterion("long_term_loan =", value, "longTermLoan");
            return (Criteria) this;
        }

        public Criteria andLongTermLoanNotEqualTo(BigDecimal value) {
            addCriterion("long_term_loan <>", value, "longTermLoan");
            return (Criteria) this;
        }

        public Criteria andLongTermLoanGreaterThan(BigDecimal value) {
            addCriterion("long_term_loan >", value, "longTermLoan");
            return (Criteria) this;
        }

        public Criteria andLongTermLoanGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("long_term_loan >=", value, "longTermLoan");
            return (Criteria) this;
        }

        public Criteria andLongTermLoanLessThan(BigDecimal value) {
            addCriterion("long_term_loan <", value, "longTermLoan");
            return (Criteria) this;
        }

        public Criteria andLongTermLoanLessThanOrEqualTo(BigDecimal value) {
            addCriterion("long_term_loan <=", value, "longTermLoan");
            return (Criteria) this;
        }

        public Criteria andLongTermLoanIn(List<BigDecimal> values) {
            addCriterion("long_term_loan in", values, "longTermLoan");
            return (Criteria) this;
        }

        public Criteria andLongTermLoanNotIn(List<BigDecimal> values) {
            addCriterion("long_term_loan not in", values, "longTermLoan");
            return (Criteria) this;
        }

        public Criteria andLongTermLoanBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("long_term_loan between", value1, value2, "longTermLoan");
            return (Criteria) this;
        }

        public Criteria andLongTermLoanNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("long_term_loan not between", value1, value2, "longTermLoan");
            return (Criteria) this;
        }

        public Criteria andOtherLoanIsNull() {
            addCriterion("other_loan is null");
            return (Criteria) this;
        }

        public Criteria andOtherLoanIsNotNull() {
            addCriterion("other_loan is not null");
            return (Criteria) this;
        }

        public Criteria andOtherLoanEqualTo(BigDecimal value) {
            addCriterion("other_loan =", value, "otherLoan");
            return (Criteria) this;
        }

        public Criteria andOtherLoanNotEqualTo(BigDecimal value) {
            addCriterion("other_loan <>", value, "otherLoan");
            return (Criteria) this;
        }

        public Criteria andOtherLoanGreaterThan(BigDecimal value) {
            addCriterion("other_loan >", value, "otherLoan");
            return (Criteria) this;
        }

        public Criteria andOtherLoanGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("other_loan >=", value, "otherLoan");
            return (Criteria) this;
        }

        public Criteria andOtherLoanLessThan(BigDecimal value) {
            addCriterion("other_loan <", value, "otherLoan");
            return (Criteria) this;
        }

        public Criteria andOtherLoanLessThanOrEqualTo(BigDecimal value) {
            addCriterion("other_loan <=", value, "otherLoan");
            return (Criteria) this;
        }

        public Criteria andOtherLoanIn(List<BigDecimal> values) {
            addCriterion("other_loan in", values, "otherLoan");
            return (Criteria) this;
        }

        public Criteria andOtherLoanNotIn(List<BigDecimal> values) {
            addCriterion("other_loan not in", values, "otherLoan");
            return (Criteria) this;
        }

        public Criteria andOtherLoanBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("other_loan between", value1, value2, "otherLoan");
            return (Criteria) this;
        }

        public Criteria andOtherLoanNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("other_loan not between", value1, value2, "otherLoan");
            return (Criteria) this;
        }

        public Criteria andMedicalCostsIsNull() {
            addCriterion("medical_costs is null");
            return (Criteria) this;
        }

        public Criteria andMedicalCostsIsNotNull() {
            addCriterion("medical_costs is not null");
            return (Criteria) this;
        }

        public Criteria andMedicalCostsEqualTo(BigDecimal value) {
            addCriterion("medical_costs =", value, "medicalCosts");
            return (Criteria) this;
        }

        public Criteria andMedicalCostsNotEqualTo(BigDecimal value) {
            addCriterion("medical_costs <>", value, "medicalCosts");
            return (Criteria) this;
        }

        public Criteria andMedicalCostsGreaterThan(BigDecimal value) {
            addCriterion("medical_costs >", value, "medicalCosts");
            return (Criteria) this;
        }

        public Criteria andMedicalCostsGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("medical_costs >=", value, "medicalCosts");
            return (Criteria) this;
        }

        public Criteria andMedicalCostsLessThan(BigDecimal value) {
            addCriterion("medical_costs <", value, "medicalCosts");
            return (Criteria) this;
        }

        public Criteria andMedicalCostsLessThanOrEqualTo(BigDecimal value) {
            addCriterion("medical_costs <=", value, "medicalCosts");
            return (Criteria) this;
        }

        public Criteria andMedicalCostsIn(List<BigDecimal> values) {
            addCriterion("medical_costs in", values, "medicalCosts");
            return (Criteria) this;
        }

        public Criteria andMedicalCostsNotIn(List<BigDecimal> values) {
            addCriterion("medical_costs not in", values, "medicalCosts");
            return (Criteria) this;
        }

        public Criteria andMedicalCostsBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("medical_costs between", value1, value2, "medicalCosts");
            return (Criteria) this;
        }

        public Criteria andMedicalCostsNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("medical_costs not between", value1, value2, "medicalCosts");
            return (Criteria) this;
        }

        public Criteria andTaxCostsIsNull() {
            addCriterion("tax_costs is null");
            return (Criteria) this;
        }

        public Criteria andTaxCostsIsNotNull() {
            addCriterion("tax_costs is not null");
            return (Criteria) this;
        }

        public Criteria andTaxCostsEqualTo(BigDecimal value) {
            addCriterion("tax_costs =", value, "taxCosts");
            return (Criteria) this;
        }

        public Criteria andTaxCostsNotEqualTo(BigDecimal value) {
            addCriterion("tax_costs <>", value, "taxCosts");
            return (Criteria) this;
        }

        public Criteria andTaxCostsGreaterThan(BigDecimal value) {
            addCriterion("tax_costs >", value, "taxCosts");
            return (Criteria) this;
        }

        public Criteria andTaxCostsGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("tax_costs >=", value, "taxCosts");
            return (Criteria) this;
        }

        public Criteria andTaxCostsLessThan(BigDecimal value) {
            addCriterion("tax_costs <", value, "taxCosts");
            return (Criteria) this;
        }

        public Criteria andTaxCostsLessThanOrEqualTo(BigDecimal value) {
            addCriterion("tax_costs <=", value, "taxCosts");
            return (Criteria) this;
        }

        public Criteria andTaxCostsIn(List<BigDecimal> values) {
            addCriterion("tax_costs in", values, "taxCosts");
            return (Criteria) this;
        }

        public Criteria andTaxCostsNotIn(List<BigDecimal> values) {
            addCriterion("tax_costs not in", values, "taxCosts");
            return (Criteria) this;
        }

        public Criteria andTaxCostsBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("tax_costs between", value1, value2, "taxCosts");
            return (Criteria) this;
        }

        public Criteria andTaxCostsNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("tax_costs not between", value1, value2, "taxCosts");
            return (Criteria) this;
        }

        public Criteria andFuneralExpensesIsNull() {
            addCriterion("funeral_expenses is null");
            return (Criteria) this;
        }

        public Criteria andFuneralExpensesIsNotNull() {
            addCriterion("funeral_expenses is not null");
            return (Criteria) this;
        }

        public Criteria andFuneralExpensesEqualTo(BigDecimal value) {
            addCriterion("funeral_expenses =", value, "funeralExpenses");
            return (Criteria) this;
        }

        public Criteria andFuneralExpensesNotEqualTo(BigDecimal value) {
            addCriterion("funeral_expenses <>", value, "funeralExpenses");
            return (Criteria) this;
        }

        public Criteria andFuneralExpensesGreaterThan(BigDecimal value) {
            addCriterion("funeral_expenses >", value, "funeralExpenses");
            return (Criteria) this;
        }

        public Criteria andFuneralExpensesGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("funeral_expenses >=", value, "funeralExpenses");
            return (Criteria) this;
        }

        public Criteria andFuneralExpensesLessThan(BigDecimal value) {
            addCriterion("funeral_expenses <", value, "funeralExpenses");
            return (Criteria) this;
        }

        public Criteria andFuneralExpensesLessThanOrEqualTo(BigDecimal value) {
            addCriterion("funeral_expenses <=", value, "funeralExpenses");
            return (Criteria) this;
        }

        public Criteria andFuneralExpensesIn(List<BigDecimal> values) {
            addCriterion("funeral_expenses in", values, "funeralExpenses");
            return (Criteria) this;
        }

        public Criteria andFuneralExpensesNotIn(List<BigDecimal> values) {
            addCriterion("funeral_expenses not in", values, "funeralExpenses");
            return (Criteria) this;
        }

        public Criteria andFuneralExpensesBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("funeral_expenses between", value1, value2, "funeralExpenses");
            return (Criteria) this;
        }

        public Criteria andFuneralExpensesNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("funeral_expenses not between", value1, value2, "funeralExpenses");
            return (Criteria) this;
        }

        public Criteria andHeritageCostsIsNull() {
            addCriterion("heritage_costs is null");
            return (Criteria) this;
        }

        public Criteria andHeritageCostsIsNotNull() {
            addCriterion("heritage_costs is not null");
            return (Criteria) this;
        }

        public Criteria andHeritageCostsEqualTo(BigDecimal value) {
            addCriterion("heritage_costs =", value, "heritageCosts");
            return (Criteria) this;
        }

        public Criteria andHeritageCostsNotEqualTo(BigDecimal value) {
            addCriterion("heritage_costs <>", value, "heritageCosts");
            return (Criteria) this;
        }

        public Criteria andHeritageCostsGreaterThan(BigDecimal value) {
            addCriterion("heritage_costs >", value, "heritageCosts");
            return (Criteria) this;
        }

        public Criteria andHeritageCostsGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("heritage_costs >=", value, "heritageCosts");
            return (Criteria) this;
        }

        public Criteria andHeritageCostsLessThan(BigDecimal value) {
            addCriterion("heritage_costs <", value, "heritageCosts");
            return (Criteria) this;
        }

        public Criteria andHeritageCostsLessThanOrEqualTo(BigDecimal value) {
            addCriterion("heritage_costs <=", value, "heritageCosts");
            return (Criteria) this;
        }

        public Criteria andHeritageCostsIn(List<BigDecimal> values) {
            addCriterion("heritage_costs in", values, "heritageCosts");
            return (Criteria) this;
        }

        public Criteria andHeritageCostsNotIn(List<BigDecimal> values) {
            addCriterion("heritage_costs not in", values, "heritageCosts");
            return (Criteria) this;
        }

        public Criteria andHeritageCostsBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("heritage_costs between", value1, value2, "heritageCosts");
            return (Criteria) this;
        }

        public Criteria andHeritageCostsNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("heritage_costs not between", value1, value2, "heritageCosts");
            return (Criteria) this;
        }

        public Criteria andOtherCostsIsNull() {
            addCriterion("other_costs is null");
            return (Criteria) this;
        }

        public Criteria andOtherCostsIsNotNull() {
            addCriterion("other_costs is not null");
            return (Criteria) this;
        }

        public Criteria andOtherCostsEqualTo(BigDecimal value) {
            addCriterion("other_costs =", value, "otherCosts");
            return (Criteria) this;
        }

        public Criteria andOtherCostsNotEqualTo(BigDecimal value) {
            addCriterion("other_costs <>", value, "otherCosts");
            return (Criteria) this;
        }

        public Criteria andOtherCostsGreaterThan(BigDecimal value) {
            addCriterion("other_costs >", value, "otherCosts");
            return (Criteria) this;
        }

        public Criteria andOtherCostsGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("other_costs >=", value, "otherCosts");
            return (Criteria) this;
        }

        public Criteria andOtherCostsLessThan(BigDecimal value) {
            addCriterion("other_costs <", value, "otherCosts");
            return (Criteria) this;
        }

        public Criteria andOtherCostsLessThanOrEqualTo(BigDecimal value) {
            addCriterion("other_costs <=", value, "otherCosts");
            return (Criteria) this;
        }

        public Criteria andOtherCostsIn(List<BigDecimal> values) {
            addCriterion("other_costs in", values, "otherCosts");
            return (Criteria) this;
        }

        public Criteria andOtherCostsNotIn(List<BigDecimal> values) {
            addCriterion("other_costs not in", values, "otherCosts");
            return (Criteria) this;
        }

        public Criteria andOtherCostsBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("other_costs between", value1, value2, "otherCosts");
            return (Criteria) this;
        }

        public Criteria andOtherCostsNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("other_costs not between", value1, value2, "otherCosts");
            return (Criteria) this;
        }

        public Criteria andOtherLiabilitiesIsNull() {
            addCriterion("other_liabilities is null");
            return (Criteria) this;
        }

        public Criteria andOtherLiabilitiesIsNotNull() {
            addCriterion("other_liabilities is not null");
            return (Criteria) this;
        }

        public Criteria andOtherLiabilitiesEqualTo(BigDecimal value) {
            addCriterion("other_liabilities =", value, "otherLiabilities");
            return (Criteria) this;
        }

        public Criteria andOtherLiabilitiesNotEqualTo(BigDecimal value) {
            addCriterion("other_liabilities <>", value, "otherLiabilities");
            return (Criteria) this;
        }

        public Criteria andOtherLiabilitiesGreaterThan(BigDecimal value) {
            addCriterion("other_liabilities >", value, "otherLiabilities");
            return (Criteria) this;
        }

        public Criteria andOtherLiabilitiesGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("other_liabilities >=", value, "otherLiabilities");
            return (Criteria) this;
        }

        public Criteria andOtherLiabilitiesLessThan(BigDecimal value) {
            addCriterion("other_liabilities <", value, "otherLiabilities");
            return (Criteria) this;
        }

        public Criteria andOtherLiabilitiesLessThanOrEqualTo(BigDecimal value) {
            addCriterion("other_liabilities <=", value, "otherLiabilities");
            return (Criteria) this;
        }

        public Criteria andOtherLiabilitiesIn(List<BigDecimal> values) {
            addCriterion("other_liabilities in", values, "otherLiabilities");
            return (Criteria) this;
        }

        public Criteria andOtherLiabilitiesNotIn(List<BigDecimal> values) {
            addCriterion("other_liabilities not in", values, "otherLiabilities");
            return (Criteria) this;
        }

        public Criteria andOtherLiabilitiesBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("other_liabilities between", value1, value2, "otherLiabilities");
            return (Criteria) this;
        }

        public Criteria andOtherLiabilitiesNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("other_liabilities not between", value1, value2, "otherLiabilities");
            return (Criteria) this;
        }

        public Criteria andTotalLiabilitiesIsNull() {
            addCriterion("total_liabilities is null");
            return (Criteria) this;
        }

        public Criteria andTotalLiabilitiesIsNotNull() {
            addCriterion("total_liabilities is not null");
            return (Criteria) this;
        }

        public Criteria andTotalLiabilitiesEqualTo(BigDecimal value) {
            addCriterion("total_liabilities =", value, "totalLiabilities");
            return (Criteria) this;
        }

        public Criteria andTotalLiabilitiesNotEqualTo(BigDecimal value) {
            addCriterion("total_liabilities <>", value, "totalLiabilities");
            return (Criteria) this;
        }

        public Criteria andTotalLiabilitiesGreaterThan(BigDecimal value) {
            addCriterion("total_liabilities >", value, "totalLiabilities");
            return (Criteria) this;
        }

        public Criteria andTotalLiabilitiesGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("total_liabilities >=", value, "totalLiabilities");
            return (Criteria) this;
        }

        public Criteria andTotalLiabilitiesLessThan(BigDecimal value) {
            addCriterion("total_liabilities <", value, "totalLiabilities");
            return (Criteria) this;
        }

        public Criteria andTotalLiabilitiesLessThanOrEqualTo(BigDecimal value) {
            addCriterion("total_liabilities <=", value, "totalLiabilities");
            return (Criteria) this;
        }

        public Criteria andTotalLiabilitiesIn(List<BigDecimal> values) {
            addCriterion("total_liabilities in", values, "totalLiabilities");
            return (Criteria) this;
        }

        public Criteria andTotalLiabilitiesNotIn(List<BigDecimal> values) {
            addCriterion("total_liabilities not in", values, "totalLiabilities");
            return (Criteria) this;
        }

        public Criteria andTotalLiabilitiesBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_liabilities between", value1, value2, "totalLiabilities");
            return (Criteria) this;
        }

        public Criteria andTotalLiabilitiesNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_liabilities not between", value1, value2, "totalLiabilities");
            return (Criteria) this;
        }

        public Criteria andPlanToolIsNull() {
            addCriterion("plan_tool is null");
            return (Criteria) this;
        }

        public Criteria andPlanToolIsNotNull() {
            addCriterion("plan_tool is not null");
            return (Criteria) this;
        }

        public Criteria andPlanToolEqualTo(String value) {
            addCriterion("plan_tool =", value, "planTool");
            return (Criteria) this;
        }

        public Criteria andPlanToolNotEqualTo(String value) {
            addCriterion("plan_tool <>", value, "planTool");
            return (Criteria) this;
        }

        public Criteria andPlanToolGreaterThan(String value) {
            addCriterion("plan_tool >", value, "planTool");
            return (Criteria) this;
        }

        public Criteria andPlanToolGreaterThanOrEqualTo(String value) {
            addCriterion("plan_tool >=", value, "planTool");
            return (Criteria) this;
        }

        public Criteria andPlanToolLessThan(String value) {
            addCriterion("plan_tool <", value, "planTool");
            return (Criteria) this;
        }

        public Criteria andPlanToolLessThanOrEqualTo(String value) {
            addCriterion("plan_tool <=", value, "planTool");
            return (Criteria) this;
        }

        public Criteria andPlanToolLike(String value) {
            addCriterion("plan_tool like", value, "planTool");
            return (Criteria) this;
        }

        public Criteria andPlanToolNotLike(String value) {
            addCriterion("plan_tool not like", value, "planTool");
            return (Criteria) this;
        }

        public Criteria andPlanToolIn(List<String> values) {
            addCriterion("plan_tool in", values, "planTool");
            return (Criteria) this;
        }

        public Criteria andPlanToolNotIn(List<String> values) {
            addCriterion("plan_tool not in", values, "planTool");
            return (Criteria) this;
        }

        public Criteria andPlanToolBetween(String value1, String value2) {
            addCriterion("plan_tool between", value1, value2, "planTool");
            return (Criteria) this;
        }

        public Criteria andPlanToolNotBetween(String value1, String value2) {
            addCriterion("plan_tool not between", value1, value2, "planTool");
            return (Criteria) this;
        }

        public Criteria andUserIdIsNull() {
            addCriterion("user_id is null");
            return (Criteria) this;
        }

        public Criteria andUserIdIsNotNull() {
            addCriterion("user_id is not null");
            return (Criteria) this;
        }

        public Criteria andUserIdEqualTo(String value) {
            addCriterion("user_id =", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotEqualTo(String value) {
            addCriterion("user_id <>", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdGreaterThan(String value) {
            addCriterion("user_id >", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdGreaterThanOrEqualTo(String value) {
            addCriterion("user_id >=", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLessThan(String value) {
            addCriterion("user_id <", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLessThanOrEqualTo(String value) {
            addCriterion("user_id <=", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLike(String value) {
            addCriterion("user_id like", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotLike(String value) {
            addCriterion("user_id not like", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdIn(List<String> values) {
            addCriterion("user_id in", values, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotIn(List<String> values) {
            addCriterion("user_id not in", values, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdBetween(String value1, String value2) {
            addCriterion("user_id between", value1, value2, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotBetween(String value1, String value2) {
            addCriterion("user_id not between", value1, value2, "userId");
            return (Criteria) this;
        }

        public Criteria andIsAnswerIsNull() {
            addCriterion("is_answer is null");
            return (Criteria) this;
        }

        public Criteria andIsAnswerIsNotNull() {
            addCriterion("is_answer is not null");
            return (Criteria) this;
        }

        public Criteria andIsAnswerEqualTo(String value) {
            addCriterion("is_answer =", value, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerNotEqualTo(String value) {
            addCriterion("is_answer <>", value, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerGreaterThan(String value) {
            addCriterion("is_answer >", value, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerGreaterThanOrEqualTo(String value) {
            addCriterion("is_answer >=", value, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerLessThan(String value) {
            addCriterion("is_answer <", value, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerLessThanOrEqualTo(String value) {
            addCriterion("is_answer <=", value, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerLike(String value) {
            addCriterion("is_answer like", value, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerNotLike(String value) {
            addCriterion("is_answer not like", value, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerIn(List<String> values) {
            addCriterion("is_answer in", values, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerNotIn(List<String> values) {
            addCriterion("is_answer not in", values, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerBetween(String value1, String value2) {
            addCriterion("is_answer between", value1, value2, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerNotBetween(String value1, String value2) {
            addCriterion("is_answer not between", value1, value2, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andFinanceanalysisTeacherScoreIsNull() {
            addCriterion("financeAnalysis_teacher_score is null");
            return (Criteria) this;
        }

        public Criteria andFinanceanalysisTeacherScoreIsNotNull() {
            addCriterion("financeAnalysis_teacher_score is not null");
            return (Criteria) this;
        }

        public Criteria andFinanceanalysisTeacherScoreEqualTo(BigDecimal value) {
            addCriterion("financeAnalysis_teacher_score =", value, "financeanalysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andFinanceanalysisTeacherScoreNotEqualTo(BigDecimal value) {
            addCriterion("financeAnalysis_teacher_score <>", value, "financeanalysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andFinanceanalysisTeacherScoreGreaterThan(BigDecimal value) {
            addCriterion("financeAnalysis_teacher_score >", value, "financeanalysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andFinanceanalysisTeacherScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("financeAnalysis_teacher_score >=", value, "financeanalysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andFinanceanalysisTeacherScoreLessThan(BigDecimal value) {
            addCriterion("financeAnalysis_teacher_score <", value, "financeanalysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andFinanceanalysisTeacherScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("financeAnalysis_teacher_score <=", value, "financeanalysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andFinanceanalysisTeacherScoreIn(List<BigDecimal> values) {
            addCriterion("financeAnalysis_teacher_score in", values, "financeanalysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andFinanceanalysisTeacherScoreNotIn(List<BigDecimal> values) {
            addCriterion("financeAnalysis_teacher_score not in", values, "financeanalysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andFinanceanalysisTeacherScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("financeAnalysis_teacher_score between", value1, value2, "financeanalysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andFinanceanalysisTeacherScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("financeAnalysis_teacher_score not between", value1, value2, "financeanalysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andPlananalysisTeacherScoreIsNull() {
            addCriterion("planAnalysis_teacher_score is null");
            return (Criteria) this;
        }

        public Criteria andPlananalysisTeacherScoreIsNotNull() {
            addCriterion("planAnalysis_teacher_score is not null");
            return (Criteria) this;
        }

        public Criteria andPlananalysisTeacherScoreEqualTo(BigDecimal value) {
            addCriterion("planAnalysis_teacher_score =", value, "plananalysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andPlananalysisTeacherScoreNotEqualTo(BigDecimal value) {
            addCriterion("planAnalysis_teacher_score <>", value, "plananalysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andPlananalysisTeacherScoreGreaterThan(BigDecimal value) {
            addCriterion("planAnalysis_teacher_score >", value, "plananalysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andPlananalysisTeacherScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("planAnalysis_teacher_score >=", value, "plananalysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andPlananalysisTeacherScoreLessThan(BigDecimal value) {
            addCriterion("planAnalysis_teacher_score <", value, "plananalysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andPlananalysisTeacherScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("planAnalysis_teacher_score <=", value, "plananalysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andPlananalysisTeacherScoreIn(List<BigDecimal> values) {
            addCriterion("planAnalysis_teacher_score in", values, "plananalysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andPlananalysisTeacherScoreNotIn(List<BigDecimal> values) {
            addCriterion("planAnalysis_teacher_score not in", values, "plananalysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andPlananalysisTeacherScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("planAnalysis_teacher_score between", value1, value2, "plananalysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andPlananalysisTeacherScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("planAnalysis_teacher_score not between", value1, value2, "plananalysisTeacherScore");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}