package com.sztzjy.money_management.entity;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
/**
 * 投资规划-银行储蓄信息表
 *
 * @author xcj
 * case_investment_plan_bank_productinfo
 */
public class CaseInvestmentPlanBankProductInfo {
    @ApiModelProperty("银行储蓄信息ID")
    private String bankProductinfoId;

    @ApiModelProperty("产品选择ID")
    private String productSelectId;

    @ApiModelProperty("所属层级（基础层/保值层）")
    private String level;

    @ApiModelProperty("银行储蓄ID")
    private String bankDepositsId;

    @ApiModelProperty("存款类型")
    private String depositType;

    @ApiModelProperty("存期")
    private String depositTerm;

    @ApiModelProperty("存款金额")
    private BigDecimal depositAmount;

    @ApiModelProperty("添加时间")
    private Date addTime;

    public String getBankProductinfoId() {
        return bankProductinfoId;
    }

    public void setBankProductinfoId(String bankProductinfoId) {
        this.bankProductinfoId = bankProductinfoId == null ? null : bankProductinfoId.trim();
    }

    public String getProductSelectId() {
        return productSelectId;
    }

    public void setProductSelectId(String productSelectId) {
        this.productSelectId = productSelectId == null ? null : productSelectId.trim();
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level == null ? null : level.trim();
    }

    public String getBankDepositsId() {
        return bankDepositsId;
    }

    public void setBankDepositsId(String bankDepositsId) {
        this.bankDepositsId = bankDepositsId == null ? null : bankDepositsId.trim();
    }

    public String getDepositType() {
        return depositType;
    }

    public void setDepositType(String depositType) {
        this.depositType = depositType == null ? null : depositType.trim();
    }

    public String getDepositTerm() {
        return depositTerm;
    }

    public void setDepositTerm(String depositTerm) {
        this.depositTerm = depositTerm == null ? null : depositTerm.trim();
    }

    public BigDecimal getDepositAmount() {
        return depositAmount;
    }

    public void setDepositAmount(BigDecimal depositAmount) {
        this.depositAmount = depositAmount;
    }

    public Date getAddTime() {
        return addTime;
    }

    public void setAddTime(Date addTime) {
        this.addTime = addTime;
    }
}