package com.sztzjy.money_management.entity;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
/**
 * 案例-风险测评-风险指标表
 *
 * @author xcj
 * case_risk_index
 */
public class CaseRiskIndex {
    private String caseRiskIndexId;
    private String caseid;
    @ApiModelProperty("年龄指标分数")
    private BigDecimal ageScore;

    @ApiModelProperty("就业状况分数")
    private BigDecimal jobScore;

    @ApiModelProperty("家庭负担分数")
    private BigDecimal familyScore;

    @ApiModelProperty("置产状况分数")
    private BigDecimal houseScore;

    @ApiModelProperty("投资经验分数")
    private BigDecimal expScore;

    @ApiModelProperty("投资知识分数")
    private BigDecimal knowledgeScore;

    @ApiModelProperty("风险承受能力分数(学生得分)")
    private BigDecimal rciScore;

    @ApiModelProperty("忍受亏损百分比分数")
    private BigDecimal tolerateScore;

    @ApiModelProperty("首要考虑分数")
    private BigDecimal considerationScore;

    @ApiModelProperty("赔钱心理分数")
    private BigDecimal mentalityScore;

    @ApiModelProperty("最重要特性分数")
    private BigDecimal characterScore;

    @ApiModelProperty("避免工具分数")
    private BigDecimal avoidScore;

    @ApiModelProperty("风险容忍态度分数(学生得分)")
    private BigDecimal adiScore;

    @ApiModelProperty("认赔动作分数")
    private BigDecimal lossScore;

    @ApiModelProperty("测评日期")
    private Date updateDate;

    private String userid;

    @ApiModelProperty("学生答案/题目答案")
    private String isAnswer;

    public String getCaseRiskIndexId() {
        return caseRiskIndexId;
    }

    public void setCaseRiskIndexId(String caseRiskIndexId) {
        this.caseRiskIndexId = caseRiskIndexId == null ? null : caseRiskIndexId.trim();
    }

    public String getCaseid() {
        return caseid;
    }

    public void setCaseid(String caseid) {
        this.caseid = caseid == null ? null : caseid.trim();
    }

    public BigDecimal getAgeScore() {
        return ageScore;
    }

    public void setAgeScore(BigDecimal ageScore) {
        this.ageScore = ageScore;
    }

    public BigDecimal getJobScore() {
        return jobScore;
    }

    public void setJobScore(BigDecimal jobScore) {
        this.jobScore = jobScore;
    }

    public BigDecimal getFamilyScore() {
        return familyScore;
    }

    public void setFamilyScore(BigDecimal familyScore) {
        this.familyScore = familyScore;
    }

    public BigDecimal getHouseScore() {
        return houseScore;
    }

    public void setHouseScore(BigDecimal houseScore) {
        this.houseScore = houseScore;
    }

    public BigDecimal getExpScore() {
        return expScore;
    }

    public void setExpScore(BigDecimal expScore) {
        this.expScore = expScore;
    }

    public BigDecimal getKnowledgeScore() {
        return knowledgeScore;
    }

    public void setKnowledgeScore(BigDecimal knowledgeScore) {
        this.knowledgeScore = knowledgeScore;
    }

    public BigDecimal getRciScore() {
        return rciScore;
    }

    public void setRciScore(BigDecimal rciScore) {
        this.rciScore = rciScore;
    }

    public BigDecimal getTolerateScore() {
        return tolerateScore;
    }

    public void setTolerateScore(BigDecimal tolerateScore) {
        this.tolerateScore = tolerateScore;
    }

    public BigDecimal getConsiderationScore() {
        return considerationScore;
    }

    public void setConsiderationScore(BigDecimal considerationScore) {
        this.considerationScore = considerationScore;
    }

    public BigDecimal getMentalityScore() {
        return mentalityScore;
    }

    public void setMentalityScore(BigDecimal mentalityScore) {
        this.mentalityScore = mentalityScore;
    }

    public BigDecimal getCharacterScore() {
        return characterScore;
    }

    public void setCharacterScore(BigDecimal characterScore) {
        this.characterScore = characterScore;
    }

    public BigDecimal getAvoidScore() {
        return avoidScore;
    }

    public void setAvoidScore(BigDecimal avoidScore) {
        this.avoidScore = avoidScore;
    }

    public BigDecimal getAdiScore() {
        return adiScore;
    }

    public void setAdiScore(BigDecimal adiScore) {
        this.adiScore = adiScore;
    }

    public BigDecimal getLossScore() {
        return lossScore;
    }

    public void setLossScore(BigDecimal lossScore) {
        this.lossScore = lossScore;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public String getUserid() {
        return userid;
    }

    public void setUserid(String userid) {
        this.userid = userid == null ? null : userid.trim();
    }

    public String getIsAnswer() {
        return isAnswer;
    }

    public void setIsAnswer(String isAnswer) {
        this.isAnswer = isAnswer == null ? null : isAnswer.trim();
    }
}