package com.sztzjy.money_management.entity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

public class ScoreRankExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public ScoreRankExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andRankIdIsNull() {
            addCriterion("rank_id is null");
            return (Criteria) this;
        }

        public Criteria andRankIdIsNotNull() {
            addCriterion("rank_id is not null");
            return (Criteria) this;
        }

        public Criteria andRankIdEqualTo(String value) {
            addCriterion("rank_id =", value, "rankId");
            return (Criteria) this;
        }

        public Criteria andRankIdNotEqualTo(String value) {
            addCriterion("rank_id <>", value, "rankId");
            return (Criteria) this;
        }

        public Criteria andRankIdGreaterThan(String value) {
            addCriterion("rank_id >", value, "rankId");
            return (Criteria) this;
        }

        public Criteria andRankIdGreaterThanOrEqualTo(String value) {
            addCriterion("rank_id >=", value, "rankId");
            return (Criteria) this;
        }

        public Criteria andRankIdLessThan(String value) {
            addCriterion("rank_id <", value, "rankId");
            return (Criteria) this;
        }

        public Criteria andRankIdLessThanOrEqualTo(String value) {
            addCriterion("rank_id <=", value, "rankId");
            return (Criteria) this;
        }

        public Criteria andRankIdLike(String value) {
            addCriterion("rank_id like", value, "rankId");
            return (Criteria) this;
        }

        public Criteria andRankIdNotLike(String value) {
            addCriterion("rank_id not like", value, "rankId");
            return (Criteria) this;
        }

        public Criteria andRankIdIn(List<String> values) {
            addCriterion("rank_id in", values, "rankId");
            return (Criteria) this;
        }

        public Criteria andRankIdNotIn(List<String> values) {
            addCriterion("rank_id not in", values, "rankId");
            return (Criteria) this;
        }

        public Criteria andRankIdBetween(String value1, String value2) {
            addCriterion("rank_id between", value1, value2, "rankId");
            return (Criteria) this;
        }

        public Criteria andRankIdNotBetween(String value1, String value2) {
            addCriterion("rank_id not between", value1, value2, "rankId");
            return (Criteria) this;
        }

        public Criteria andUseridIsNull() {
            addCriterion("userid is null");
            return (Criteria) this;
        }

        public Criteria andUseridIsNotNull() {
            addCriterion("userid is not null");
            return (Criteria) this;
        }

        public Criteria andUseridEqualTo(String value) {
            addCriterion("userid =", value, "userid");
            return (Criteria) this;
        }

        public Criteria andUseridNotEqualTo(String value) {
            addCriterion("userid <>", value, "userid");
            return (Criteria) this;
        }

        public Criteria andUseridGreaterThan(String value) {
            addCriterion("userid >", value, "userid");
            return (Criteria) this;
        }

        public Criteria andUseridGreaterThanOrEqualTo(String value) {
            addCriterion("userid >=", value, "userid");
            return (Criteria) this;
        }

        public Criteria andUseridLessThan(String value) {
            addCriterion("userid <", value, "userid");
            return (Criteria) this;
        }

        public Criteria andUseridLessThanOrEqualTo(String value) {
            addCriterion("userid <=", value, "userid");
            return (Criteria) this;
        }

        public Criteria andUseridLike(String value) {
            addCriterion("userid like", value, "userid");
            return (Criteria) this;
        }

        public Criteria andUseridNotLike(String value) {
            addCriterion("userid not like", value, "userid");
            return (Criteria) this;
        }

        public Criteria andUseridIn(List<String> values) {
            addCriterion("userid in", values, "userid");
            return (Criteria) this;
        }

        public Criteria andUseridNotIn(List<String> values) {
            addCriterion("userid not in", values, "userid");
            return (Criteria) this;
        }

        public Criteria andUseridBetween(String value1, String value2) {
            addCriterion("userid between", value1, value2, "userid");
            return (Criteria) this;
        }

        public Criteria andUseridNotBetween(String value1, String value2) {
            addCriterion("userid not between", value1, value2, "userid");
            return (Criteria) this;
        }

        public Criteria andNameIsNull() {
            addCriterion("name is null");
            return (Criteria) this;
        }

        public Criteria andNameIsNotNull() {
            addCriterion("name is not null");
            return (Criteria) this;
        }

        public Criteria andNameEqualTo(String value) {
            addCriterion("name =", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotEqualTo(String value) {
            addCriterion("name <>", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameGreaterThan(String value) {
            addCriterion("name >", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameGreaterThanOrEqualTo(String value) {
            addCriterion("name >=", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLessThan(String value) {
            addCriterion("name <", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLessThanOrEqualTo(String value) {
            addCriterion("name <=", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLike(String value) {
            addCriterion("name like", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotLike(String value) {
            addCriterion("name not like", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameIn(List<String> values) {
            addCriterion("name in", values, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotIn(List<String> values) {
            addCriterion("name not in", values, "name");
            return (Criteria) this;
        }

        public Criteria andNameBetween(String value1, String value2) {
            addCriterion("name between", value1, value2, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotBetween(String value1, String value2) {
            addCriterion("name not between", value1, value2, "name");
            return (Criteria) this;
        }

        public Criteria andStudentIdIsNull() {
            addCriterion("student_id is null");
            return (Criteria) this;
        }

        public Criteria andStudentIdIsNotNull() {
            addCriterion("student_id is not null");
            return (Criteria) this;
        }

        public Criteria andStudentIdEqualTo(String value) {
            addCriterion("student_id =", value, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdNotEqualTo(String value) {
            addCriterion("student_id <>", value, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdGreaterThan(String value) {
            addCriterion("student_id >", value, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdGreaterThanOrEqualTo(String value) {
            addCriterion("student_id >=", value, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdLessThan(String value) {
            addCriterion("student_id <", value, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdLessThanOrEqualTo(String value) {
            addCriterion("student_id <=", value, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdLike(String value) {
            addCriterion("student_id like", value, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdNotLike(String value) {
            addCriterion("student_id not like", value, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdIn(List<String> values) {
            addCriterion("student_id in", values, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdNotIn(List<String> values) {
            addCriterion("student_id not in", values, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdBetween(String value1, String value2) {
            addCriterion("student_id between", value1, value2, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdNotBetween(String value1, String value2) {
            addCriterion("student_id not between", value1, value2, "studentId");
            return (Criteria) this;
        }

        public Criteria andClassNameIsNull() {
            addCriterion("class_name is null");
            return (Criteria) this;
        }

        public Criteria andClassNameIsNotNull() {
            addCriterion("class_name is not null");
            return (Criteria) this;
        }

        public Criteria andClassNameEqualTo(String value) {
            addCriterion("class_name =", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameNotEqualTo(String value) {
            addCriterion("class_name <>", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameGreaterThan(String value) {
            addCriterion("class_name >", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameGreaterThanOrEqualTo(String value) {
            addCriterion("class_name >=", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameLessThan(String value) {
            addCriterion("class_name <", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameLessThanOrEqualTo(String value) {
            addCriterion("class_name <=", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameLike(String value) {
            addCriterion("class_name like", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameNotLike(String value) {
            addCriterion("class_name not like", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameIn(List<String> values) {
            addCriterion("class_name in", values, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameNotIn(List<String> values) {
            addCriterion("class_name not in", values, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameBetween(String value1, String value2) {
            addCriterion("class_name between", value1, value2, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameNotBetween(String value1, String value2) {
            addCriterion("class_name not between", value1, value2, "className");
            return (Criteria) this;
        }

        public Criteria andClassIdIsNull() {
            addCriterion("class_id is null");
            return (Criteria) this;
        }

        public Criteria andClassIdIsNotNull() {
            addCriterion("class_id is not null");
            return (Criteria) this;
        }

        public Criteria andClassIdEqualTo(String value) {
            addCriterion("class_id =", value, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdNotEqualTo(String value) {
            addCriterion("class_id <>", value, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdGreaterThan(String value) {
            addCriterion("class_id >", value, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdGreaterThanOrEqualTo(String value) {
            addCriterion("class_id >=", value, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdLessThan(String value) {
            addCriterion("class_id <", value, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdLessThanOrEqualTo(String value) {
            addCriterion("class_id <=", value, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdLike(String value) {
            addCriterion("class_id like", value, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdNotLike(String value) {
            addCriterion("class_id not like", value, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdIn(List<String> values) {
            addCriterion("class_id in", values, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdNotIn(List<String> values) {
            addCriterion("class_id not in", values, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdBetween(String value1, String value2) {
            addCriterion("class_id between", value1, value2, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdNotBetween(String value1, String value2) {
            addCriterion("class_id not between", value1, value2, "classId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdIsNull() {
            addCriterion("school_id is null");
            return (Criteria) this;
        }

        public Criteria andSchoolIdIsNotNull() {
            addCriterion("school_id is not null");
            return (Criteria) this;
        }

        public Criteria andSchoolIdEqualTo(String value) {
            addCriterion("school_id =", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdNotEqualTo(String value) {
            addCriterion("school_id <>", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdGreaterThan(String value) {
            addCriterion("school_id >", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdGreaterThanOrEqualTo(String value) {
            addCriterion("school_id >=", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdLessThan(String value) {
            addCriterion("school_id <", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdLessThanOrEqualTo(String value) {
            addCriterion("school_id <=", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdLike(String value) {
            addCriterion("school_id like", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdNotLike(String value) {
            addCriterion("school_id not like", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdIn(List<String> values) {
            addCriterion("school_id in", values, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdNotIn(List<String> values) {
            addCriterion("school_id not in", values, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdBetween(String value1, String value2) {
            addCriterion("school_id between", value1, value2, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdNotBetween(String value1, String value2) {
            addCriterion("school_id not between", value1, value2, "schoolId");
            return (Criteria) this;
        }

        public Criteria andTotalScoreIsNull() {
            addCriterion("total_score is null");
            return (Criteria) this;
        }

        public Criteria andTotalScoreIsNotNull() {
            addCriterion("total_score is not null");
            return (Criteria) this;
        }

        public Criteria andTotalScoreEqualTo(BigDecimal value) {
            addCriterion("total_score =", value, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreNotEqualTo(BigDecimal value) {
            addCriterion("total_score <>", value, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreGreaterThan(BigDecimal value) {
            addCriterion("total_score >", value, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("total_score >=", value, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreLessThan(BigDecimal value) {
            addCriterion("total_score <", value, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("total_score <=", value, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreIn(List<BigDecimal> values) {
            addCriterion("total_score in", values, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreNotIn(List<BigDecimal> values) {
            addCriterion("total_score not in", values, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_score between", value1, value2, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_score not between", value1, value2, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalRankIsNull() {
            addCriterion("total_rank is null");
            return (Criteria) this;
        }

        public Criteria andTotalRankIsNotNull() {
            addCriterion("total_rank is not null");
            return (Criteria) this;
        }

        public Criteria andTotalRankEqualTo(Integer value) {
            addCriterion("total_rank =", value, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankNotEqualTo(Integer value) {
            addCriterion("total_rank <>", value, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankGreaterThan(Integer value) {
            addCriterion("total_rank >", value, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankGreaterThanOrEqualTo(Integer value) {
            addCriterion("total_rank >=", value, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankLessThan(Integer value) {
            addCriterion("total_rank <", value, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankLessThanOrEqualTo(Integer value) {
            addCriterion("total_rank <=", value, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankIn(List<Integer> values) {
            addCriterion("total_rank in", values, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankNotIn(List<Integer> values) {
            addCriterion("total_rank not in", values, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankBetween(Integer value1, Integer value2) {
            addCriterion("total_rank between", value1, value2, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankNotBetween(Integer value1, Integer value2) {
            addCriterion("total_rank not between", value1, value2, "totalRank");
            return (Criteria) this;
        }

        public Criteria andKhalRankIsNull() {
            addCriterion("khal_rank is null");
            return (Criteria) this;
        }

        public Criteria andKhalRankIsNotNull() {
            addCriterion("khal_rank is not null");
            return (Criteria) this;
        }

        public Criteria andKhalRankEqualTo(Integer value) {
            addCriterion("khal_rank =", value, "khalRank");
            return (Criteria) this;
        }

        public Criteria andKhalRankNotEqualTo(Integer value) {
            addCriterion("khal_rank <>", value, "khalRank");
            return (Criteria) this;
        }

        public Criteria andKhalRankGreaterThan(Integer value) {
            addCriterion("khal_rank >", value, "khalRank");
            return (Criteria) this;
        }

        public Criteria andKhalRankGreaterThanOrEqualTo(Integer value) {
            addCriterion("khal_rank >=", value, "khalRank");
            return (Criteria) this;
        }

        public Criteria andKhalRankLessThan(Integer value) {
            addCriterion("khal_rank <", value, "khalRank");
            return (Criteria) this;
        }

        public Criteria andKhalRankLessThanOrEqualTo(Integer value) {
            addCriterion("khal_rank <=", value, "khalRank");
            return (Criteria) this;
        }

        public Criteria andKhalRankIn(List<Integer> values) {
            addCriterion("khal_rank in", values, "khalRank");
            return (Criteria) this;
        }

        public Criteria andKhalRankNotIn(List<Integer> values) {
            addCriterion("khal_rank not in", values, "khalRank");
            return (Criteria) this;
        }

        public Criteria andKhalRankBetween(Integer value1, Integer value2) {
            addCriterion("khal_rank between", value1, value2, "khalRank");
            return (Criteria) this;
        }

        public Criteria andKhalRankNotBetween(Integer value1, Integer value2) {
            addCriterion("khal_rank not between", value1, value2, "khalRank");
            return (Criteria) this;
        }

        public Criteria andZhghRankIsNull() {
            addCriterion("zhgh_rank is null");
            return (Criteria) this;
        }

        public Criteria andZhghRankIsNotNull() {
            addCriterion("zhgh_rank is not null");
            return (Criteria) this;
        }

        public Criteria andZhghRankEqualTo(Integer value) {
            addCriterion("zhgh_rank =", value, "zhghRank");
            return (Criteria) this;
        }

        public Criteria andZhghRankNotEqualTo(Integer value) {
            addCriterion("zhgh_rank <>", value, "zhghRank");
            return (Criteria) this;
        }

        public Criteria andZhghRankGreaterThan(Integer value) {
            addCriterion("zhgh_rank >", value, "zhghRank");
            return (Criteria) this;
        }

        public Criteria andZhghRankGreaterThanOrEqualTo(Integer value) {
            addCriterion("zhgh_rank >=", value, "zhghRank");
            return (Criteria) this;
        }

        public Criteria andZhghRankLessThan(Integer value) {
            addCriterion("zhgh_rank <", value, "zhghRank");
            return (Criteria) this;
        }

        public Criteria andZhghRankLessThanOrEqualTo(Integer value) {
            addCriterion("zhgh_rank <=", value, "zhghRank");
            return (Criteria) this;
        }

        public Criteria andZhghRankIn(List<Integer> values) {
            addCriterion("zhgh_rank in", values, "zhghRank");
            return (Criteria) this;
        }

        public Criteria andZhghRankNotIn(List<Integer> values) {
            addCriterion("zhgh_rank not in", values, "zhghRank");
            return (Criteria) this;
        }

        public Criteria andZhghRankBetween(Integer value1, Integer value2) {
            addCriterion("zhgh_rank between", value1, value2, "zhghRank");
            return (Criteria) this;
        }

        public Criteria andZhghRankNotBetween(Integer value1, Integer value2) {
            addCriterion("zhgh_rank not between", value1, value2, "zhghRank");
            return (Criteria) this;
        }

        public Criteria andLlkhRankIsNull() {
            addCriterion("llkh_rank is null");
            return (Criteria) this;
        }

        public Criteria andLlkhRankIsNotNull() {
            addCriterion("llkh_rank is not null");
            return (Criteria) this;
        }

        public Criteria andLlkhRankEqualTo(Integer value) {
            addCriterion("llkh_rank =", value, "llkhRank");
            return (Criteria) this;
        }

        public Criteria andLlkhRankNotEqualTo(Integer value) {
            addCriterion("llkh_rank <>", value, "llkhRank");
            return (Criteria) this;
        }

        public Criteria andLlkhRankGreaterThan(Integer value) {
            addCriterion("llkh_rank >", value, "llkhRank");
            return (Criteria) this;
        }

        public Criteria andLlkhRankGreaterThanOrEqualTo(Integer value) {
            addCriterion("llkh_rank >=", value, "llkhRank");
            return (Criteria) this;
        }

        public Criteria andLlkhRankLessThan(Integer value) {
            addCriterion("llkh_rank <", value, "llkhRank");
            return (Criteria) this;
        }

        public Criteria andLlkhRankLessThanOrEqualTo(Integer value) {
            addCriterion("llkh_rank <=", value, "llkhRank");
            return (Criteria) this;
        }

        public Criteria andLlkhRankIn(List<Integer> values) {
            addCriterion("llkh_rank in", values, "llkhRank");
            return (Criteria) this;
        }

        public Criteria andLlkhRankNotIn(List<Integer> values) {
            addCriterion("llkh_rank not in", values, "llkhRank");
            return (Criteria) this;
        }

        public Criteria andLlkhRankBetween(Integer value1, Integer value2) {
            addCriterion("llkh_rank between", value1, value2, "llkhRank");
            return (Criteria) this;
        }

        public Criteria andLlkhRankNotBetween(Integer value1, Integer value2) {
            addCriterion("llkh_rank not between", value1, value2, "llkhRank");
            return (Criteria) this;
        }

        public Criteria andKhalScoreIsNull() {
            addCriterion("khal_score is null");
            return (Criteria) this;
        }

        public Criteria andKhalScoreIsNotNull() {
            addCriterion("khal_score is not null");
            return (Criteria) this;
        }

        public Criteria andKhalScoreEqualTo(BigDecimal value) {
            addCriterion("khal_score =", value, "khalScore");
            return (Criteria) this;
        }

        public Criteria andKhalScoreNotEqualTo(BigDecimal value) {
            addCriterion("khal_score <>", value, "khalScore");
            return (Criteria) this;
        }

        public Criteria andKhalScoreGreaterThan(BigDecimal value) {
            addCriterion("khal_score >", value, "khalScore");
            return (Criteria) this;
        }

        public Criteria andKhalScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("khal_score >=", value, "khalScore");
            return (Criteria) this;
        }

        public Criteria andKhalScoreLessThan(BigDecimal value) {
            addCriterion("khal_score <", value, "khalScore");
            return (Criteria) this;
        }

        public Criteria andKhalScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("khal_score <=", value, "khalScore");
            return (Criteria) this;
        }

        public Criteria andKhalScoreIn(List<BigDecimal> values) {
            addCriterion("khal_score in", values, "khalScore");
            return (Criteria) this;
        }

        public Criteria andKhalScoreNotIn(List<BigDecimal> values) {
            addCriterion("khal_score not in", values, "khalScore");
            return (Criteria) this;
        }

        public Criteria andKhalScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("khal_score between", value1, value2, "khalScore");
            return (Criteria) this;
        }

        public Criteria andKhalScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("khal_score not between", value1, value2, "khalScore");
            return (Criteria) this;
        }

        public Criteria andZhghScoreIsNull() {
            addCriterion("zhgh_score is null");
            return (Criteria) this;
        }

        public Criteria andZhghScoreIsNotNull() {
            addCriterion("zhgh_score is not null");
            return (Criteria) this;
        }

        public Criteria andZhghScoreEqualTo(BigDecimal value) {
            addCriterion("zhgh_score =", value, "zhghScore");
            return (Criteria) this;
        }

        public Criteria andZhghScoreNotEqualTo(BigDecimal value) {
            addCriterion("zhgh_score <>", value, "zhghScore");
            return (Criteria) this;
        }

        public Criteria andZhghScoreGreaterThan(BigDecimal value) {
            addCriterion("zhgh_score >", value, "zhghScore");
            return (Criteria) this;
        }

        public Criteria andZhghScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("zhgh_score >=", value, "zhghScore");
            return (Criteria) this;
        }

        public Criteria andZhghScoreLessThan(BigDecimal value) {
            addCriterion("zhgh_score <", value, "zhghScore");
            return (Criteria) this;
        }

        public Criteria andZhghScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("zhgh_score <=", value, "zhghScore");
            return (Criteria) this;
        }

        public Criteria andZhghScoreIn(List<BigDecimal> values) {
            addCriterion("zhgh_score in", values, "zhghScore");
            return (Criteria) this;
        }

        public Criteria andZhghScoreNotIn(List<BigDecimal> values) {
            addCriterion("zhgh_score not in", values, "zhghScore");
            return (Criteria) this;
        }

        public Criteria andZhghScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("zhgh_score between", value1, value2, "zhghScore");
            return (Criteria) this;
        }

        public Criteria andZhghScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("zhgh_score not between", value1, value2, "zhghScore");
            return (Criteria) this;
        }

        public Criteria andLlkhScoreIsNull() {
            addCriterion("llkh_score is null");
            return (Criteria) this;
        }

        public Criteria andLlkhScoreIsNotNull() {
            addCriterion("llkh_score is not null");
            return (Criteria) this;
        }

        public Criteria andLlkhScoreEqualTo(BigDecimal value) {
            addCriterion("llkh_score =", value, "llkhScore");
            return (Criteria) this;
        }

        public Criteria andLlkhScoreNotEqualTo(BigDecimal value) {
            addCriterion("llkh_score <>", value, "llkhScore");
            return (Criteria) this;
        }

        public Criteria andLlkhScoreGreaterThan(BigDecimal value) {
            addCriterion("llkh_score >", value, "llkhScore");
            return (Criteria) this;
        }

        public Criteria andLlkhScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("llkh_score >=", value, "llkhScore");
            return (Criteria) this;
        }

        public Criteria andLlkhScoreLessThan(BigDecimal value) {
            addCriterion("llkh_score <", value, "llkhScore");
            return (Criteria) this;
        }

        public Criteria andLlkhScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("llkh_score <=", value, "llkhScore");
            return (Criteria) this;
        }

        public Criteria andLlkhScoreIn(List<BigDecimal> values) {
            addCriterion("llkh_score in", values, "llkhScore");
            return (Criteria) this;
        }

        public Criteria andLlkhScoreNotIn(List<BigDecimal> values) {
            addCriterion("llkh_score not in", values, "llkhScore");
            return (Criteria) this;
        }

        public Criteria andLlkhScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("llkh_score between", value1, value2, "llkhScore");
            return (Criteria) this;
        }

        public Criteria andLlkhScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("llkh_score not between", value1, value2, "llkhScore");
            return (Criteria) this;
        }

        public Criteria andFxcpIsNull() {
            addCriterion("fxcp is null");
            return (Criteria) this;
        }

        public Criteria andFxcpIsNotNull() {
            addCriterion("fxcp is not null");
            return (Criteria) this;
        }

        public Criteria andFxcpEqualTo(BigDecimal value) {
            addCriterion("fxcp =", value, "fxcp");
            return (Criteria) this;
        }

        public Criteria andFxcpNotEqualTo(BigDecimal value) {
            addCriterion("fxcp <>", value, "fxcp");
            return (Criteria) this;
        }

        public Criteria andFxcpGreaterThan(BigDecimal value) {
            addCriterion("fxcp >", value, "fxcp");
            return (Criteria) this;
        }

        public Criteria andFxcpGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("fxcp >=", value, "fxcp");
            return (Criteria) this;
        }

        public Criteria andFxcpLessThan(BigDecimal value) {
            addCriterion("fxcp <", value, "fxcp");
            return (Criteria) this;
        }

        public Criteria andFxcpLessThanOrEqualTo(BigDecimal value) {
            addCriterion("fxcp <=", value, "fxcp");
            return (Criteria) this;
        }

        public Criteria andFxcpIn(List<BigDecimal> values) {
            addCriterion("fxcp in", values, "fxcp");
            return (Criteria) this;
        }

        public Criteria andFxcpNotIn(List<BigDecimal> values) {
            addCriterion("fxcp not in", values, "fxcp");
            return (Criteria) this;
        }

        public Criteria andFxcpBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("fxcp between", value1, value2, "fxcp");
            return (Criteria) this;
        }

        public Criteria andFxcpNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("fxcp not between", value1, value2, "fxcp");
            return (Criteria) this;
        }

        public Criteria andCwfxIsNull() {
            addCriterion("cwfx is null");
            return (Criteria) this;
        }

        public Criteria andCwfxIsNotNull() {
            addCriterion("cwfx is not null");
            return (Criteria) this;
        }

        public Criteria andCwfxEqualTo(BigDecimal value) {
            addCriterion("cwfx =", value, "cwfx");
            return (Criteria) this;
        }

        public Criteria andCwfxNotEqualTo(BigDecimal value) {
            addCriterion("cwfx <>", value, "cwfx");
            return (Criteria) this;
        }

        public Criteria andCwfxGreaterThan(BigDecimal value) {
            addCriterion("cwfx >", value, "cwfx");
            return (Criteria) this;
        }

        public Criteria andCwfxGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("cwfx >=", value, "cwfx");
            return (Criteria) this;
        }

        public Criteria andCwfxLessThan(BigDecimal value) {
            addCriterion("cwfx <", value, "cwfx");
            return (Criteria) this;
        }

        public Criteria andCwfxLessThanOrEqualTo(BigDecimal value) {
            addCriterion("cwfx <=", value, "cwfx");
            return (Criteria) this;
        }

        public Criteria andCwfxIn(List<BigDecimal> values) {
            addCriterion("cwfx in", values, "cwfx");
            return (Criteria) this;
        }

        public Criteria andCwfxNotIn(List<BigDecimal> values) {
            addCriterion("cwfx not in", values, "cwfx");
            return (Criteria) this;
        }

        public Criteria andCwfxBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("cwfx between", value1, value2, "cwfx");
            return (Criteria) this;
        }

        public Criteria andCwfxNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("cwfx not between", value1, value2, "cwfx");
            return (Criteria) this;
        }

        public Criteria andXjghIsNull() {
            addCriterion("xjgh is null");
            return (Criteria) this;
        }

        public Criteria andXjghIsNotNull() {
            addCriterion("xjgh is not null");
            return (Criteria) this;
        }

        public Criteria andXjghEqualTo(BigDecimal value) {
            addCriterion("xjgh =", value, "xjgh");
            return (Criteria) this;
        }

        public Criteria andXjghNotEqualTo(BigDecimal value) {
            addCriterion("xjgh <>", value, "xjgh");
            return (Criteria) this;
        }

        public Criteria andXjghGreaterThan(BigDecimal value) {
            addCriterion("xjgh >", value, "xjgh");
            return (Criteria) this;
        }

        public Criteria andXjghGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("xjgh >=", value, "xjgh");
            return (Criteria) this;
        }

        public Criteria andXjghLessThan(BigDecimal value) {
            addCriterion("xjgh <", value, "xjgh");
            return (Criteria) this;
        }

        public Criteria andXjghLessThanOrEqualTo(BigDecimal value) {
            addCriterion("xjgh <=", value, "xjgh");
            return (Criteria) this;
        }

        public Criteria andXjghIn(List<BigDecimal> values) {
            addCriterion("xjgh in", values, "xjgh");
            return (Criteria) this;
        }

        public Criteria andXjghNotIn(List<BigDecimal> values) {
            addCriterion("xjgh not in", values, "xjgh");
            return (Criteria) this;
        }

        public Criteria andXjghBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("xjgh between", value1, value2, "xjgh");
            return (Criteria) this;
        }

        public Criteria andXjghNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("xjgh not between", value1, value2, "xjgh");
            return (Criteria) this;
        }

        public Criteria andJyghIsNull() {
            addCriterion("jygh is null");
            return (Criteria) this;
        }

        public Criteria andJyghIsNotNull() {
            addCriterion("jygh is not null");
            return (Criteria) this;
        }

        public Criteria andJyghEqualTo(BigDecimal value) {
            addCriterion("jygh =", value, "jygh");
            return (Criteria) this;
        }

        public Criteria andJyghNotEqualTo(BigDecimal value) {
            addCriterion("jygh <>", value, "jygh");
            return (Criteria) this;
        }

        public Criteria andJyghGreaterThan(BigDecimal value) {
            addCriterion("jygh >", value, "jygh");
            return (Criteria) this;
        }

        public Criteria andJyghGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("jygh >=", value, "jygh");
            return (Criteria) this;
        }

        public Criteria andJyghLessThan(BigDecimal value) {
            addCriterion("jygh <", value, "jygh");
            return (Criteria) this;
        }

        public Criteria andJyghLessThanOrEqualTo(BigDecimal value) {
            addCriterion("jygh <=", value, "jygh");
            return (Criteria) this;
        }

        public Criteria andJyghIn(List<BigDecimal> values) {
            addCriterion("jygh in", values, "jygh");
            return (Criteria) this;
        }

        public Criteria andJyghNotIn(List<BigDecimal> values) {
            addCriterion("jygh not in", values, "jygh");
            return (Criteria) this;
        }

        public Criteria andJyghBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("jygh between", value1, value2, "jygh");
            return (Criteria) this;
        }

        public Criteria andJyghNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("jygh not between", value1, value2, "jygh");
            return (Criteria) this;
        }

        public Criteria andXfghIsNull() {
            addCriterion("xfgh is null");
            return (Criteria) this;
        }

        public Criteria andXfghIsNotNull() {
            addCriterion("xfgh is not null");
            return (Criteria) this;
        }

        public Criteria andXfghEqualTo(BigDecimal value) {
            addCriterion("xfgh =", value, "xfgh");
            return (Criteria) this;
        }

        public Criteria andXfghNotEqualTo(BigDecimal value) {
            addCriterion("xfgh <>", value, "xfgh");
            return (Criteria) this;
        }

        public Criteria andXfghGreaterThan(BigDecimal value) {
            addCriterion("xfgh >", value, "xfgh");
            return (Criteria) this;
        }

        public Criteria andXfghGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("xfgh >=", value, "xfgh");
            return (Criteria) this;
        }

        public Criteria andXfghLessThan(BigDecimal value) {
            addCriterion("xfgh <", value, "xfgh");
            return (Criteria) this;
        }

        public Criteria andXfghLessThanOrEqualTo(BigDecimal value) {
            addCriterion("xfgh <=", value, "xfgh");
            return (Criteria) this;
        }

        public Criteria andXfghIn(List<BigDecimal> values) {
            addCriterion("xfgh in", values, "xfgh");
            return (Criteria) this;
        }

        public Criteria andXfghNotIn(List<BigDecimal> values) {
            addCriterion("xfgh not in", values, "xfgh");
            return (Criteria) this;
        }

        public Criteria andXfghBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("xfgh between", value1, value2, "xfgh");
            return (Criteria) this;
        }

        public Criteria andXfghNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("xfgh not between", value1, value2, "xfgh");
            return (Criteria) this;
        }

        public Criteria andCyghIsNull() {
            addCriterion("cygh is null");
            return (Criteria) this;
        }

        public Criteria andCyghIsNotNull() {
            addCriterion("cygh is not null");
            return (Criteria) this;
        }

        public Criteria andCyghEqualTo(BigDecimal value) {
            addCriterion("cygh =", value, "cygh");
            return (Criteria) this;
        }

        public Criteria andCyghNotEqualTo(BigDecimal value) {
            addCriterion("cygh <>", value, "cygh");
            return (Criteria) this;
        }

        public Criteria andCyghGreaterThan(BigDecimal value) {
            addCriterion("cygh >", value, "cygh");
            return (Criteria) this;
        }

        public Criteria andCyghGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("cygh >=", value, "cygh");
            return (Criteria) this;
        }

        public Criteria andCyghLessThan(BigDecimal value) {
            addCriterion("cygh <", value, "cygh");
            return (Criteria) this;
        }

        public Criteria andCyghLessThanOrEqualTo(BigDecimal value) {
            addCriterion("cygh <=", value, "cygh");
            return (Criteria) this;
        }

        public Criteria andCyghIn(List<BigDecimal> values) {
            addCriterion("cygh in", values, "cygh");
            return (Criteria) this;
        }

        public Criteria andCyghNotIn(List<BigDecimal> values) {
            addCriterion("cygh not in", values, "cygh");
            return (Criteria) this;
        }

        public Criteria andCyghBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("cygh between", value1, value2, "cygh");
            return (Criteria) this;
        }

        public Criteria andCyghNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("cygh not between", value1, value2, "cygh");
            return (Criteria) this;
        }

        public Criteria andTxghIsNull() {
            addCriterion("txgh is null");
            return (Criteria) this;
        }

        public Criteria andTxghIsNotNull() {
            addCriterion("txgh is not null");
            return (Criteria) this;
        }

        public Criteria andTxghEqualTo(BigDecimal value) {
            addCriterion("txgh =", value, "txgh");
            return (Criteria) this;
        }

        public Criteria andTxghNotEqualTo(BigDecimal value) {
            addCriterion("txgh <>", value, "txgh");
            return (Criteria) this;
        }

        public Criteria andTxghGreaterThan(BigDecimal value) {
            addCriterion("txgh >", value, "txgh");
            return (Criteria) this;
        }

        public Criteria andTxghGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("txgh >=", value, "txgh");
            return (Criteria) this;
        }

        public Criteria andTxghLessThan(BigDecimal value) {
            addCriterion("txgh <", value, "txgh");
            return (Criteria) this;
        }

        public Criteria andTxghLessThanOrEqualTo(BigDecimal value) {
            addCriterion("txgh <=", value, "txgh");
            return (Criteria) this;
        }

        public Criteria andTxghIn(List<BigDecimal> values) {
            addCriterion("txgh in", values, "txgh");
            return (Criteria) this;
        }

        public Criteria andTxghNotIn(List<BigDecimal> values) {
            addCriterion("txgh not in", values, "txgh");
            return (Criteria) this;
        }

        public Criteria andTxghBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("txgh between", value1, value2, "txgh");
            return (Criteria) this;
        }

        public Criteria andTxghNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("txgh not between", value1, value2, "txgh");
            return (Criteria) this;
        }

        public Criteria andBxghIsNull() {
            addCriterion("bxgh is null");
            return (Criteria) this;
        }

        public Criteria andBxghIsNotNull() {
            addCriterion("bxgh is not null");
            return (Criteria) this;
        }

        public Criteria andBxghEqualTo(BigDecimal value) {
            addCriterion("bxgh =", value, "bxgh");
            return (Criteria) this;
        }

        public Criteria andBxghNotEqualTo(BigDecimal value) {
            addCriterion("bxgh <>", value, "bxgh");
            return (Criteria) this;
        }

        public Criteria andBxghGreaterThan(BigDecimal value) {
            addCriterion("bxgh >", value, "bxgh");
            return (Criteria) this;
        }

        public Criteria andBxghGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("bxgh >=", value, "bxgh");
            return (Criteria) this;
        }

        public Criteria andBxghLessThan(BigDecimal value) {
            addCriterion("bxgh <", value, "bxgh");
            return (Criteria) this;
        }

        public Criteria andBxghLessThanOrEqualTo(BigDecimal value) {
            addCriterion("bxgh <=", value, "bxgh");
            return (Criteria) this;
        }

        public Criteria andBxghIn(List<BigDecimal> values) {
            addCriterion("bxgh in", values, "bxgh");
            return (Criteria) this;
        }

        public Criteria andBxghNotIn(List<BigDecimal> values) {
            addCriterion("bxgh not in", values, "bxgh");
            return (Criteria) this;
        }

        public Criteria andBxghBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("bxgh between", value1, value2, "bxgh");
            return (Criteria) this;
        }

        public Criteria andBxghNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("bxgh not between", value1, value2, "bxgh");
            return (Criteria) this;
        }

        public Criteria andTzghIsNull() {
            addCriterion("tzgh is null");
            return (Criteria) this;
        }

        public Criteria andTzghIsNotNull() {
            addCriterion("tzgh is not null");
            return (Criteria) this;
        }

        public Criteria andTzghEqualTo(BigDecimal value) {
            addCriterion("tzgh =", value, "tzgh");
            return (Criteria) this;
        }

        public Criteria andTzghNotEqualTo(BigDecimal value) {
            addCriterion("tzgh <>", value, "tzgh");
            return (Criteria) this;
        }

        public Criteria andTzghGreaterThan(BigDecimal value) {
            addCriterion("tzgh >", value, "tzgh");
            return (Criteria) this;
        }

        public Criteria andTzghGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("tzgh >=", value, "tzgh");
            return (Criteria) this;
        }

        public Criteria andTzghLessThan(BigDecimal value) {
            addCriterion("tzgh <", value, "tzgh");
            return (Criteria) this;
        }

        public Criteria andTzghLessThanOrEqualTo(BigDecimal value) {
            addCriterion("tzgh <=", value, "tzgh");
            return (Criteria) this;
        }

        public Criteria andTzghIn(List<BigDecimal> values) {
            addCriterion("tzgh in", values, "tzgh");
            return (Criteria) this;
        }

        public Criteria andTzghNotIn(List<BigDecimal> values) {
            addCriterion("tzgh not in", values, "tzgh");
            return (Criteria) this;
        }

        public Criteria andTzghBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("tzgh between", value1, value2, "tzgh");
            return (Criteria) this;
        }

        public Criteria andTzghNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("tzgh not between", value1, value2, "tzgh");
            return (Criteria) this;
        }

        public Criteria andSwchIsNull() {
            addCriterion("swch is null");
            return (Criteria) this;
        }

        public Criteria andSwchIsNotNull() {
            addCriterion("swch is not null");
            return (Criteria) this;
        }

        public Criteria andSwchEqualTo(BigDecimal value) {
            addCriterion("swch =", value, "swch");
            return (Criteria) this;
        }

        public Criteria andSwchNotEqualTo(BigDecimal value) {
            addCriterion("swch <>", value, "swch");
            return (Criteria) this;
        }

        public Criteria andSwchGreaterThan(BigDecimal value) {
            addCriterion("swch >", value, "swch");
            return (Criteria) this;
        }

        public Criteria andSwchGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("swch >=", value, "swch");
            return (Criteria) this;
        }

        public Criteria andSwchLessThan(BigDecimal value) {
            addCriterion("swch <", value, "swch");
            return (Criteria) this;
        }

        public Criteria andSwchLessThanOrEqualTo(BigDecimal value) {
            addCriterion("swch <=", value, "swch");
            return (Criteria) this;
        }

        public Criteria andSwchIn(List<BigDecimal> values) {
            addCriterion("swch in", values, "swch");
            return (Criteria) this;
        }

        public Criteria andSwchNotIn(List<BigDecimal> values) {
            addCriterion("swch not in", values, "swch");
            return (Criteria) this;
        }

        public Criteria andSwchBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("swch between", value1, value2, "swch");
            return (Criteria) this;
        }

        public Criteria andSwchNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("swch not between", value1, value2, "swch");
            return (Criteria) this;
        }

        public Criteria andCcfpIsNull() {
            addCriterion("ccfp is null");
            return (Criteria) this;
        }

        public Criteria andCcfpIsNotNull() {
            addCriterion("ccfp is not null");
            return (Criteria) this;
        }

        public Criteria andCcfpEqualTo(BigDecimal value) {
            addCriterion("ccfp =", value, "ccfp");
            return (Criteria) this;
        }

        public Criteria andCcfpNotEqualTo(BigDecimal value) {
            addCriterion("ccfp <>", value, "ccfp");
            return (Criteria) this;
        }

        public Criteria andCcfpGreaterThan(BigDecimal value) {
            addCriterion("ccfp >", value, "ccfp");
            return (Criteria) this;
        }

        public Criteria andCcfpGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("ccfp >=", value, "ccfp");
            return (Criteria) this;
        }

        public Criteria andCcfpLessThan(BigDecimal value) {
            addCriterion("ccfp <", value, "ccfp");
            return (Criteria) this;
        }

        public Criteria andCcfpLessThanOrEqualTo(BigDecimal value) {
            addCriterion("ccfp <=", value, "ccfp");
            return (Criteria) this;
        }

        public Criteria andCcfpIn(List<BigDecimal> values) {
            addCriterion("ccfp in", values, "ccfp");
            return (Criteria) this;
        }

        public Criteria andCcfpNotIn(List<BigDecimal> values) {
            addCriterion("ccfp not in", values, "ccfp");
            return (Criteria) this;
        }

        public Criteria andCcfpBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ccfp between", value1, value2, "ccfp");
            return (Criteria) this;
        }

        public Criteria andCcfpNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ccfp not between", value1, value2, "ccfp");
            return (Criteria) this;
        }

        public Criteria andCcccIsNull() {
            addCriterion("cccc is null");
            return (Criteria) this;
        }

        public Criteria andCcccIsNotNull() {
            addCriterion("cccc is not null");
            return (Criteria) this;
        }

        public Criteria andCcccEqualTo(BigDecimal value) {
            addCriterion("cccc =", value, "cccc");
            return (Criteria) this;
        }

        public Criteria andCcccNotEqualTo(BigDecimal value) {
            addCriterion("cccc <>", value, "cccc");
            return (Criteria) this;
        }

        public Criteria andCcccGreaterThan(BigDecimal value) {
            addCriterion("cccc >", value, "cccc");
            return (Criteria) this;
        }

        public Criteria andCcccGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("cccc >=", value, "cccc");
            return (Criteria) this;
        }

        public Criteria andCcccLessThan(BigDecimal value) {
            addCriterion("cccc <", value, "cccc");
            return (Criteria) this;
        }

        public Criteria andCcccLessThanOrEqualTo(BigDecimal value) {
            addCriterion("cccc <=", value, "cccc");
            return (Criteria) this;
        }

        public Criteria andCcccIn(List<BigDecimal> values) {
            addCriterion("cccc in", values, "cccc");
            return (Criteria) this;
        }

        public Criteria andCcccNotIn(List<BigDecimal> values) {
            addCriterion("cccc not in", values, "cccc");
            return (Criteria) this;
        }

        public Criteria andCcccBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("cccc between", value1, value2, "cccc");
            return (Criteria) this;
        }

        public Criteria andCcccNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("cccc not between", value1, value2, "cccc");
            return (Criteria) this;
        }

        public Criteria andCountCaseIsNull() {
            addCriterion("count_case is null");
            return (Criteria) this;
        }

        public Criteria andCountCaseIsNotNull() {
            addCriterion("count_case is not null");
            return (Criteria) this;
        }

        public Criteria andCountCaseEqualTo(Integer value) {
            addCriterion("count_case =", value, "countCase");
            return (Criteria) this;
        }

        public Criteria andCountCaseNotEqualTo(Integer value) {
            addCriterion("count_case <>", value, "countCase");
            return (Criteria) this;
        }

        public Criteria andCountCaseGreaterThan(Integer value) {
            addCriterion("count_case >", value, "countCase");
            return (Criteria) this;
        }

        public Criteria andCountCaseGreaterThanOrEqualTo(Integer value) {
            addCriterion("count_case >=", value, "countCase");
            return (Criteria) this;
        }

        public Criteria andCountCaseLessThan(Integer value) {
            addCriterion("count_case <", value, "countCase");
            return (Criteria) this;
        }

        public Criteria andCountCaseLessThanOrEqualTo(Integer value) {
            addCriterion("count_case <=", value, "countCase");
            return (Criteria) this;
        }

        public Criteria andCountCaseIn(List<Integer> values) {
            addCriterion("count_case in", values, "countCase");
            return (Criteria) this;
        }

        public Criteria andCountCaseNotIn(List<Integer> values) {
            addCriterion("count_case not in", values, "countCase");
            return (Criteria) this;
        }

        public Criteria andCountCaseBetween(Integer value1, Integer value2) {
            addCriterion("count_case between", value1, value2, "countCase");
            return (Criteria) this;
        }

        public Criteria andCountCaseNotBetween(Integer value1, Integer value2) {
            addCriterion("count_case not between", value1, value2, "countCase");
            return (Criteria) this;
        }

        public Criteria andUpdateDateIsNull() {
            addCriterion("update_date is null");
            return (Criteria) this;
        }

        public Criteria andUpdateDateIsNotNull() {
            addCriterion("update_date is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateDateEqualTo(String value) {
            addCriterion("update_date =", value, "updateDate");
            return (Criteria) this;
        }

        public Criteria andUpdateDateNotEqualTo(String value) {
            addCriterion("update_date <>", value, "updateDate");
            return (Criteria) this;
        }

        public Criteria andUpdateDateGreaterThan(String value) {
            addCriterion("update_date >", value, "updateDate");
            return (Criteria) this;
        }

        public Criteria andUpdateDateGreaterThanOrEqualTo(String value) {
            addCriterion("update_date >=", value, "updateDate");
            return (Criteria) this;
        }

        public Criteria andUpdateDateLessThan(String value) {
            addCriterion("update_date <", value, "updateDate");
            return (Criteria) this;
        }

        public Criteria andUpdateDateLessThanOrEqualTo(String value) {
            addCriterion("update_date <=", value, "updateDate");
            return (Criteria) this;
        }

        public Criteria andUpdateDateLike(String value) {
            addCriterion("update_date like", value, "updateDate");
            return (Criteria) this;
        }

        public Criteria andUpdateDateNotLike(String value) {
            addCriterion("update_date not like", value, "updateDate");
            return (Criteria) this;
        }

        public Criteria andUpdateDateIn(List<String> values) {
            addCriterion("update_date in", values, "updateDate");
            return (Criteria) this;
        }

        public Criteria andUpdateDateNotIn(List<String> values) {
            addCriterion("update_date not in", values, "updateDate");
            return (Criteria) this;
        }

        public Criteria andUpdateDateBetween(String value1, String value2) {
            addCriterion("update_date between", value1, value2, "updateDate");
            return (Criteria) this;
        }

        public Criteria andUpdateDateNotBetween(String value1, String value2) {
            addCriterion("update_date not between", value1, value2, "updateDate");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}