package com.sztzjy.money_management.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author xcj
 * @Date 2024/9/28
 */
@Data
public class StuCaseDto {
    @ApiModelProperty("案例表")
    private CaseInfo caseInfo;
    @ApiModelProperty("财务分析现金流量表")
    private CaseCashFlow caseCashFlow;
    @ApiModelProperty("案例现金规划表")
    private CaseCashPlan caseCashPlan;
    @ApiModelProperty("生涯规划-消费规划表")
    private CaseConsumptionPlan caseConsumptionPlan;
    @ApiModelProperty("案例财产分配表")
    private CaseDistributionOfPropertyWithBLOBs caseDistributionOfProperty;
    @ApiModelProperty("财务分析-资产负债表")
    private CaseFinanceLiability caseFinanceLiability;
    @ApiModelProperty("案例财务分析财务比率分析表")
    private CaseFinancialRatiosWithBLOBs caseFinancialRatios;
    @ApiModelProperty("案例遗产传承表")
    private CaseHeritageWithBLOBs caseHeritage;
    @ApiModelProperty("案例财务分析收支储蓄表")
    private CaseIncomeAndExpenses caseIncomeAndExpenses;
    @ApiModelProperty("投资规划案例表")
    private CaseInvestmentPlan caseInvestmentPlan;
    @ApiModelProperty("案例生涯规划保险规划表")
    private CaseInsurancePlan caseInsurancePlan;
    @ApiModelProperty("案例生涯规划教育规划表")
    private CaseLifeEducationPlan caseLifeEducationPlan;
    @ApiModelProperty("案例生涯规划退休规划表")
    private CaseRetirementPlan caseRetirementPlan;
    @ApiModelProperty("风险测评-风险指标表")
    private CaseRiskIndex caseRiskIndex;
    @ApiModelProperty("案例生涯规划创业规划表")
    private CaseStartAnUndertakingPlan caseStartAnUndertakingPlan;
    @ApiModelProperty("案例税务筹划表")
    private CaseTaxPlan caseTaxPlan;
}
