package com.sztzjy.money_management.entity.dto;

import com.sztzjy.money_management.entity.CaseDistributionOfProperty;
import com.sztzjy.money_management.entity.CaseDistributionOfPropertyFamilyRecords;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Author xcj
 * @Date 2024/8/21
 */
@Data
public class CaseDistributionOfPropertyFamilyDto{
    @ApiModelProperty("案例-财产分配id")
    private String caseDistributionOfPropertyId;

    private String caseid;

    @ApiModelProperty("客户性别")
    private String customerSex;

    @ApiModelProperty("住址")
    private String address;

    @ApiModelProperty("职业")
    private String position;

    @ApiModelProperty("家庭成员数")
    private Integer familyNum;

    @ApiModelProperty("财产分配规划工具")
    private String planTool;

    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("学生答案/题目答案")
    private String isAnswer;

    @ApiModelProperty("婚姻、财产状况分析老师评分")
    private BigDecimal situationanalysisTeacherScore;

    @ApiModelProperty("财产分配规划分析老师评分")
    private BigDecimal plananalysisTeacherScore;

    @ApiModelProperty("婚姻、财产状况分析")
    private String situationAnalysis;

    @ApiModelProperty("财产分配规划分析")
    private String planAnalysis;

    @ApiModelProperty("案例-财产分配-家庭结构记录表集合")
    List<CaseDistributionOfPropertyFamilyRecords> CaseDistributionOfPropertyFamilyRecordsList;
}
